<?php
/**
 * MyBB 1.2
 * Copyright © 2006 MyBB Group, All Rights Reserved
 *
 * Website: http://www.mybboard.net
 * License: http://www.mybboard.net/eula.html
 *
 * $Id: index.php 3942 2008-06-23 04:25:21Z Tikitiki $
 */
error_reporting(E_ALL & ~E_NOTICE);

define('MYBB_ROOT', dirname(dirname(__FILE__))."/");
define("INSTALL_ROOT", dirname(__FILE__));

require_once MYBB_ROOT.'inc/class_core.php';
$mybb = new MyBB;

// Include the files necessary for installation
require_once MYBB_ROOT.'inc/class_timers.php';
require_once MYBB_ROOT.'inc/functions.php';
require_once MYBB_ROOT.'admin/adminfunctions.php';
require_once MYBB_ROOT.'inc/class_xml.php';
require_once MYBB_ROOT.'inc/functions_user.php';
require_once MYBB_ROOT.'inc/class_language.php';
$lang = new MyLanguage();
$lang->set_path(MYBB_ROOT.'install/resources');
$lang->load('language');

// Include the necessary contants for installation
$grouppermignore = array('gid', 'type', 'title', 'description', 'namestyle', 'usertitle', 'stars', 'starimage', 'image');
$groupzerogreater = array('pmquota', 'maxreputationsday', 'attachquota');
$displaygroupfields = array('title', 'description', 'namestyle', 'usertitle', 'stars', 'starimage', 'image');
$fpermfields = array('canview', 'candlattachments', 'canpostthreads', 'canpostreplys', 'canpostattachments', 'canratethreads', 'caneditposts', 'candeleteposts', 'candeletethreads', 'caneditattachments', 'canpostpolls', 'canvotepolls', 'cansearch');

// Include the installation resources
require_once INSTALL_ROOT.'/resources/output.php';
$output = new installerOutput;
$output->title = "Assistant d'Installation MyBB";

$dboptions = array();

if(function_exists('mysqli_connect'))
{
	$dboptions['mysqli'] = array(
		'title' => 'MySQL Improved',
		'structure_file' => 'mysql_db_tables.php',
		'population_file' => 'mysql_db_inserts.php'
	);
}

if(function_exists('mysql_connect'))
{
	$dboptions['mysql'] = array(
		'title' => 'MySQL',
		'structure_file' => 'mysql_db_tables.php',
		'population_file' => 'mysql_db_inserts.php'
	);
}
// Perform a check if MyBB is already installed or not
$installed = false;
if(file_exists(MYBB_ROOT."/inc/config.php") && file_exists(MYBB_ROOT."/inc/settings.php"))
{
	require MYBB_ROOT."/inc/config.php";
	require MYBB_ROOT."/inc/settings.php";
	if(is_array($config) && is_array($settings))
	{
		$installed = true;
	}
}

if(file_exists('lock'))
{
	$output->print_error($lang->locked);
}
else if($installed == true && !$mybb->input['action'])
{
	$output->print_header($lang->already_installed, "errormsg", 0);
	echo sprintf($lang->mybb_already_installed, $mybb->version);
	$output->print_footer();
}
else
{
	$output->steps = array(
		'intro' => $lang->welcome,
		'license' => $lang->license_agreement,
		'requirements_check' => $lang->req_check,
		'database_info' => $lang->db_config,
		'create_tables' => $lang->table_creation,
		'populate_tables' => $lang->data_insertion,
		'templates' => $lang->theme_install,
		'configuration' => $lang->board_config,
		'adminuser' => $lang->admin_user,
		'final' => $lang->finish_setup,
	);
	if(!isset($mybb->input['action']))
	{
		$mybb->input['action'] = 'intro';
	}
	switch($mybb->input['action'])
	{
		case 'license':
			license_agreement();
			break;
		case 'requirements_check':
			requirements_check();
			break;
		case 'database_info':
			database_info();
			break;
		case 'create_tables':
			create_tables();
			break;
		case 'populate_tables':
			populate_tables();
			break;
		case 'templates':
			insert_templates();
			break;
		case 'configuration':
			configure();
			break;
		case 'adminuser';
			create_admin_user();
			break;
		case 'final':
			install_done();
			break;
		default:
			intro();
			break;
	}
}

function intro()
{
	global $output, $mybb, $lang;
	$output->print_header($lang->welcome, 'welcome');
	echo sprintf($lang->welcome_step, $mybb->version);
	$output->print_footer('license');
}

function license_agreement()
{
	global $output, $lang;
	$output->print_header($lang->license_agreement, 'license');
	$license = '<h3>Important - A lire attentivement</h3>
<p>Cet Accord de Licence d\'Utilisateur Final ("EULA") est un accord l&eacute;gal entre vous (individu ou soci&eacute;t&eacute;) et le Groupe MyBB pour le produit, incluant le logiciel d\'ordinateur et pouvant associer medias, documents imprim&eacute;s, et documentation "en-ligne" ou &eacute;lectronique. Par l\'installation, la copie, ou tout autre moyen utilisant le produit MyBB, vous acceptez de fait les termes de cet EULA. Si vous ne les acceptez pas, n\'installez pas ou n\'utilisez pas le produit MyBB et d&eacute;truisez toutes les copies de l\'application.</p>
<p>Le Groupe MyBB peut retoucher ou changer cet accord de licence sans avertissement et tout changement de l\'EULA affectera toutes les copies anciennes ou actuelles de MyBB</p>

<h4>MyBB est un logiciel GRATUIT</h4>
<p>MyBB est distribu&eacute; en tant que logiciel "GRATUIT" vous garantissant le droit de t&eacute;l&eacute;charger MyBB GRATUITEMENT et d\'installer une copie physique sans aucun frais suppl&eacute;mentaire.</p>
<p>Vous pouvez demander une redevance pour l\'acte de transf&eacute;rer physiquemant une copie.</p>

<h4>Reproduction et Distribution</h4>
<p>Vous pouvez produire des copies re-distributables de MyBB &agrave; condition que les termes suivants soient respect&eacute;s:</p>
<ul>
	<li>Vous ne devez pas supprimer, modifier ou masquer de mani&egrave;re quelconque la mention du copyright de MyBB dans aucun des fichiers contenus dans le paquetagee MyBB original.</li>
	<li>Tout fichier que vous ajoutez ne doit pas supprimer le copyright du Groupe MyBB.</li>
	<li>Vous acceptez qu\'aucun support ne sera fourni &agrave; ceux qui utilisent les copies modifi&eacute;es distribu&eacute;es.</li>
	<li>Les copies modifi&eacute;es et distribu&eacute;es de MyBB doivent aussi &ecirc;tre distribu&eacute;es avec la licence exacte et propos&eacute;es comme logiciel GRATUIT. Vous ne pouvez demander des frais pour ce logiciel ou sa distribution.</li>
</ul>

<h4>S&eacute;paration des Composants</h4>
<p>Le logiciel MyBB est d&eacute;livr&eacute; comme logiciel unique. Les composants, les parties, ou une portion de code ne peuvent &ecirc;tre s&eacute;par&eacute;s du paquetagee original de MyBB pour usage ou inclusion dans une autre application.</p>

<h4>R&eacute;siliation</h4>
<p>Sans porter pr&eacute;judice aux autres droits, le Groupe MyBB peut r&eacute;silier cet EULA si vous n\'en avez pas respect&eacute; les termes et les conditions. Dans cette &eacute;ventualit&eacute;, vous devez d&eacute;truire toutes les copies du logiciel MyBB et toutes les parties de ses composants. Le Groupe MyBB se r&eacute;serve aussi le droit de r&eacute;voquer les droits de redistribution de MyBB pour une soci&eacute;t&eacute; ou un individu pour toute raison sp&eacute;cifi&eacute;e.</p>

<h4>Droits d\'Auteur</h4>
<p>Tout titre et copyrights dans et pour le logiciel MyBB (incluant, sans limitation, images, texte, javascript et code incorpor&eacute; dans le logiciel MyBB, les mat&eacute;riels d\'accompagnement et toutes copies du logiciel MyBB restent la propri&eacute;t&eacute; du Groupe MyBB.</p>
<p>MyBB est prot&eacute;g&eacute; par les lois et trait&eacute;s internationaux r&eacute;gissant les droits d\'auteur. Donc, vous devez traiter MyBB comme tout autre mat&eacute;riel soumis aux drois d\'auteur.</p>
<p>Le Groupe MyBB a diff&eacute;rentes mentions de copyright et de lignes "fourni par" incorpor&eacute;es dans le produit. Vous ne devez pas supprimer, modifier ou masquer la visibilit&eacute; d\'aucun de ces &eacute;l&eacute;ments (incluant, sans limitation, la mention de copyright au d&eacute;but des fichiers et les lignes "droits d\'auteur/fourni par" qui se trouvent dans les "templates" visibles par le public).</p>

<h4>Garantie du produit et Responsabilit&eacute pour Dommages</h4>
<p>Le Groupe MyBB d&eacute;cline toute responsabilit&eacute; pour MyBB. Le logiciel MyBB et toute documentation relative sont fournis "tel quel" sans garantie d\'aucune sorte, implicite ou explicite, incluant, sans limitation, les garanties impliqu&eacute;es ou la valeur commerciale, les aptitudes pour un but particulier, ou la non-infraction. Tout risque r&eacute;sultant de l\'utilisation ou de la performance de MyBB reste &agrave; votre charge.</p>
<p>Le Groupe MyBB n\'est en aucun cas responsable d\'un quelconque dommage (incluant, sans limitation, une perte de revenus ou de profit, une interruption d\'affaires, une perte d\'information d\'affaires, ou toute autre perte p&eacute;cuniaire) susceptibles de survenir du fait de l\'utilisation ou de l\'inadaptation du logiciel, m&ecirc;me si le Groupe MyBB a &eacute;t&eacute; averti de de la possibilit&eacute; de tels dommages. Parce que certains &eacute;tats/juridictions ne permettent pas l\'exclusion ou la limitation de la responsabilit&eacute; pour des dommages cons&eacute;cutifs ou accidentels, la limitation ci-dessus peut ne pas s\'appliquer pas &agrave; vous.</p>';
	echo sprintf($lang->license_step, $license);
	$output->print_footer('requirements_check');
}

function requirements_check()
{
	global $output, $mybb, $dboptions, $lang;

	$mybb->input['action'] = "requirements_check";
	$output->print_header($lang->req_check, 'requirements');
	echo $lang->req_step_top;
	$errors = array();
	$showerror = 0;

	// Check PHP Version
	$phpversion = @phpversion();
	if($phpversion < '4.1.0')
	{
		$errors[] = sprintf($lang->req_step_error_box, sprintf($lang->req_step_error_phpversion, $phpversion));
		$phpversion = sprintf($lang->req_step_span_fail, $phpversion);
		$showerror = 1;
	}
	else
	{
		$phpversion = sprintf($lang->req_step_span_pass, $phpversion);
	}

	// Check database engines
	if(count($dboptions) < 1)
	{
		$errors[] = sprintf($lang->req_step_error_box, $lang->req_step_error_dboptions);
		$dbsupportlist = sprintf($lang->req_step_span_fail, $lang->none);
		$showerror = 1;
	}
	else
	{
		foreach($dboptions as $dboption)
		{
			$dbsupportlist[] = $dboption['title'];
		}
		$dbsupportlist = implode(', ', $dbsupportlist);
	}

	// Check XML parser is installed
	if(!function_exists('xml_parser_create'))
	{
		$errors[] = sprintf($lang->req_step_error_box, $lang->req_step_error_xmlsupport);
		$xmlstatus = sprintf($lang->req_step_span_fail, $lang->not_installed);
		$showerror = 1;
	}
	else
	{
		$xmlstatus = sprintf($lang->req_step_span_pass, $lang->installed);
	}

	// Check config file is writable
	$configwritable = @fopen(MYBB_ROOT.'inc/config.php', 'w');
	if(!$configwritable)
	{
		$errors[] = sprintf($lang->req_step_error_box, $lang->req_step_error_configfile);
		$configstatus = sprintf($lang->req_step_span_fail, $lang->not_writable);
		$showerror = 1;
	}
	else
	{
		$configstatus = sprintf($lang->req_step_span_pass, $lang->writable);
	}
	@fclose($configwritable);

	// Check settings file is writable
	$settingswritable = @fopen(MYBB_ROOT.'inc/settings.php', 'w');
	if(!$settingswritable)
	{
		$errors[] = sprintf($lang->req_step_error_box, $lang->req_step_error_settingsfile);
		$settingsstatus = sprintf($lang->req_step_span_fail, $lang->not_writable);
		$showerror = 1;
	}
	else
	{
		$settingsstatus = sprintf($lang->req_step_span_pass, $lang->writable);
	}
	@fclose($settingswritable);

	// Check upload directory is writable
	$uploadswritable = @fopen(MYBB_ROOT.'uploads/test.write', 'w');
	if(!$uploadswritable)
	{
		$errors[] = sprintf($lang->req_step_error_box, $lang->req_step_error_uploaddir);
		$uploadsstatus = sprintf($lang->req_step_span_fail, $lang->not_writable);
		$showerror = 1;
		@fclose($uploadswritable);
	}
	else
	{
		$uploadsstatus = sprintf($lang->req_step_span_pass, $lang->writable);
		@fclose($uploadswritable);
	  	@chmod(MYBB_ROOT.'uploads', 0777);
	  	@chmod(MYBB_ROOT.'uploads/test.write', 0777);
		@unlink(MYBB_ROOT.'uploads/test.write');
	}

	// Check avatar directory is writable
	$avatarswritable = @fopen(MYBB_ROOT.'uploads/avatars/test.write', 'w');
	if(!$avatarswritable)
	{
		$errors[] =  sprintf($lang->req_step_error_box, $lang->req_step_error_avatardir);
		$avatarsstatus = sprintf($lang->req_step_span_fail, $lang->not_writable);
		$showerror = 1;
		@fclose($avatarswritable);
	}
	else
	{
		$avatarsstatus = sprintf($lang->req_step_span_pass, $lang->writable);
		@fclose($avatarswritable);
		@chmod(MYBB_ROOT.'uploads/avatars', 0777);
	  	@chmod(MYBB_ROOT.'uploads/avatars/test.write', 0777);
		@unlink(MYBB_ROOT.'uploads/avatars/test.write');
  	}


	// Output requirements page
	echo sprintf($lang->req_step_reqtable, $phpversion, $dbsupportlist, $xmlstatus, $configstatus, $settingsstatus, $uploadsstatus, $avatarsstatus);

	if($showerror == 1)
	{
		$error_list = error_list($errors);
		echo sprintf($lang->req_step_error_tablelist, $error_list);
		$output->print_footer();
	}
	else
	{
		echo $lang->req_step_reqcomplete;
		$output->print_footer('database_info');
	}
}

function database_info()
{
	global $output, $dbinfo, $errors, $mybb, $dboptions, $lang;
	$mybb->input['action'] = 'database_info';
	$output->print_header($lang->db_config, 'dbconfig');

	// Check for errors from this stage
	if(is_array($errors))
	{
		$error_list = error_list($errors);
		echo sprintf($lang->db_step_error_config, $error_list);
		$dbengine = $mybb->input['dbengine'];
		$dbhost = $mybb->input['dbhost'];
		$dbuser = $mybb->input['dbuser'];
		$dbname = $mybb->input['dbname'];
		$tableprefix = $mybb->input['tableprefix'];
		$encoding = $mybb->input['encoding'];
	}
	else
	{
		echo $lang->db_step_config_db;
		$dbhost = 'localhost';
		$tableprefix = 'mybb_';
		$dbuser = '';
		$dbname = '';
		$dbengine = 'mysql';
		$encoding = 'utf8';
	}

	// Loop through database engines
	foreach($dboptions as $dbfile => $dbtype)
	{
		if($dbengine != '' && $dbengine == $dbfile)
		{
			$dbengines .= "<option value=\"{$dbfile}\" selected=\"selected\">{$dbtype['title']}</option>";
		}
		else
		{
			$dbengines .= "<option value=\"{$dbfile}\">{$dbtype['title']}</option>";
		}
	}
	
	$encodings_array = array(
		'big5' => 'Big5 Traditional Chinese',
		'dec8' => 'DEC West European',
		'cp850' => 'DOS West European',
		'hp8' => 'HP West European',
		'koi8r' => 'KOI8-R Relcom Russian',
		'latin1' => 'cp1252 West European',
		'latin2' => 'ISO 8859-2 Central European',
		'swe7' => '7bit Swedish',
		'ascii' => 'US ASCII',
		'ujis' => 'EUC-JP Japanese',
		'sjis' => 'Shift-JIS Japanese',
		'hebrew' => 'ISO 8859-8 Hebrew',
		'tis620' => 'TIS620 Thai',
		'euckr' => 'EUC-KR Korean',
		'koi8u' => 'KOI8-U Ukrainian',
		'gb2312' => 'GB2312 Simplified Chinese',
		'greek' => 'ISO 8859-7 Greek',
		'cp1250' => 'Windows Central European',
		'gbk' => 'GBK Simplified Chinese',
		'latin5' => 'ISO 8859-9 Turkish',
		'armscii8' => 'ARMSCII-8 Armenian',
		'utf8' => 'UTF-8 Unicode',
		'ucs2' => 'UCS-2 Unicode',
		'cp866' => 'DOS Russian',
		'keybcs2' => 'DOS Kamenicky Czech-Slovak',
		'macce' => 'Mac Central European',
		'macroman' => 'Mac West European',
		'cp852' => 'DOS Central European',
		'latin7' => 'ISO 8859-13 Baltic',
		'cp1251' => 'Windows Cyrillic',
		'cp1256' => 'Windows Arabic',
		'cp1257' => 'Windows Baltic',
		'binary' => 'Binary pseudo charset',
		'geostd8' => 'GEOSTD8 Georgian',
		'cp932' => 'SJIS for Windows Japanese',
		'eucjpms' => 'UJIS for Windows Japanese',
	);
	
	// Loop through database encodings
	foreach($encodings_array as $key => $encodingtext)
	{
		if($key == $encoding)
		{
			$encodings .= "<option value=\"{$key}\" selected=\"selected\">{$encodingtext}</option>\n";
		}
		else
		{
			$encodings .= "<option value=\"{$key}\">{$encodingtext}</option>\n";
		}
	}

	echo sprintf($lang->db_step_config_table, $dbengines, $dbhost, $dbuser, $dbname, $tableprefix, $encodings);
	$output->print_footer('create_tables');
}

function create_tables()
{
	global $output, $dbinfo, $errors, $mybb, $dboptions, $lang;

	if(!$mybb->input['encoding'])
	{
		$errors[] = $lang->db_step_error_missingencoding;
	}

	if(!file_exists(MYBB_ROOT."inc/db_{$mybb->input['dbengine']}.php"))
	{
		$errors[] = $lang->db_step_error_invalidengine;
		database_info();
	}

	// Attempt to connect to the db
	require_once MYBB_ROOT."inc/db_{$mybb->input['dbengine']}.php";
	$db = new databaseEngine;
 	$db->error_reporting = 0;

	$connection = $db->connect($mybb->input['dbhost'], $mybb->input['dbuser'], $mybb->input['dbpass']);
	if(!$connection)
	{
		$errors[] = sprintf($lang->db_step_error_noconnect, $mybb->input['dbhost']);
	}

	// Select the database
	$dbselect = $db->select_db($mybb->input['dbname']);
	if(!$dbselect)
	{
		$errors[] = sprintf($lang->db_step_error_nodbname, $mybb->input['dbname']);
	}

	if(is_array($errors))
	{
		database_info();
	}
	
	$collations = array(
		'big5' => 'big5_chinese_ci',
		'dec8' => 'dec8_swedish_ci',
		'cp850' => 'cp850_general_ci',
		'hp8' => 'hp8_english_ci',
		'koi8r' => 'koi8r_general_ci',
		'latin1' => 'latin1_swedish_ci',
		'latin2' => 'latin2_general_ci',
		'swe7' => 'swe7_swedish_ci',
		'ascii' => 'ascii_general_ci',
		'ujis' => 'ujis_japanese_ci',
		'sjis' => 'sjis_japanese_ci',
		'hebrew' => 'hebrew_general_ci',
		'tis620' => 'tis620_thai_ci',
		'euckr' => 'euckr_korean_ci',
		'koi8u' => 'koi8u_general_ci',
		'gb2312' => 'gb2312_chinese_ci',
		'greek' => 'greek_general_ci',
		'cp1250' => 'cp1250_general_ci',
		'gbk' => 'gbk_chinese_ci',
		'latin5' => 'latin5_turkish_ci',
		'armscii8' => 'armscii8_general_ci',
		'utf8' => 'utf8_general_ci',
		'ucs2' => 'ucs2_general_ci',
		'cp866' => 'cp866_general_ci',
		'keybcs2' => 'keybcs2_general_ci',
		'macce' => 'macce_general_ci',
		'macroman' => 'macroman_general_ci',
		'cp852' => 'cp852_general_ci',
		'latin7' => 'latin7_general_ci',
		'cp1251' => 'cp1251_general_ci',
		'cp1256' => 'cp1256_general_ci',
		'cp1257' => 'cp1257_general_ci',
		'binary' => 'binary',
		'geostd8' => 'geostd8_general_ci',
		'cp932' => 'cp932_japanese_ci',
		'eucjpms' => 'eucjpms_japanese_ci',
	);
	
	// Decide if we can use a database encoding or not
	if(($db->title == "MySQLi" || $db->title == "MySQL") && $db->get_version() >= '4.1.0')
	{
		$db_encoding = "\$config['db_encoding'] = '{$mybb->input['encoding']}';";
		$charset = " CHARACTER SET {$mybb->input['encoding']} COLLATE ".$collations[$mybb->input['encoding']];
	}
	else
	{
		$db_encoding = "// \$config['db_encoding'] = '{$mybb->input['encoding']}';";
		$charset = "";
	}

	// Write the configuration file
	$configdata = "<?php
/**
 * Configuration Base de données
 */

\$config['dbtype'] = '{$mybb->input['dbengine']}';
\$config['hostname'] = '{$mybb->input['dbhost']}';
\$config['username'] = '{$mybb->input['dbuser']}';
\$config['password'] = '{$mybb->input['dbpass']}';
\$config['database'] = '{$mybb->input['dbname']}';
\$config['table_prefix'] = '{$mybb->input['tableprefix']}';

/**
 * Répertoire Admin CP
 *  Pour des raisons de sécurité, il vous est recommandé
 *  de renommer votre dossier Admin CP. Vous devez alors ajuster
 *  la valeur ci-dessous pour pointer sur le nouveau répertoire
 */

\$config['admin_dir'] = 'admin';

/**
 * Cacher tous les liens Admin CP
 *  Si vous voulez cacher tous les liens Admin CP
 *  à la première page de la board après avoir
 *  renommé votre répertoire Admin CPy, mettez
 *  ceci à 1.
 */

\$config['hide_admin_links'] = 0;

/**
 * Configuration cache-données
 *  Le cache des données est un cache temporaire
 *  des données le plus fréquemment accédées dans MyBB.
 *  Par défaut, la base de données est utilisée pour
 *  stocker ces données.
 *  Si vous voulez utiliser le système de fichiers
 *  (répertoire inc/cache) vous pouvez changer la
 *  valeur ci-dessous de 'db' à 'files'.
 */

\$config['cache_store'] = 'db';

/**
 * Super Administrateurs
 *  Une liste séparée par des virgules des IDs d(utilisateurs
 *  qui ne peuvent être édités, supprimés ou bannis dans
 *  le CP Admin.
 *  Les permissions d'aministrateur pour ces utilisateurs
 *  ne peuvent plus être altérés.
 */

\$config['super_admins'] = '1';
 
/**
 * Database Encoding
 *  If you wish to set an encoding for MyBB uncomment 
 *  the line below (if it isn't already) and change
 *  the current value to the mysql charset:
 *  http://dev.mysql.com/doc/refman/5.1/en/charset-mysql.html
 */

{$db_encoding}
 
?>";

	$file = fopen(MYBB_ROOT.'inc/config.php', 'w');
	fwrite($file, $configdata);
	fclose($file);

	$output->print_header($lang->table_creation, 'createtables');
	echo sprintf($lang->tablecreate_step_connected, $dboptions[$mybb->input['dbengine']]['title'], $db->get_version());

	if($dboptions[$config['dbtype']]['structure_file'])
	{
		$structure_file = $dboptions[$config['dbtype']]['structure_file'];
	}
	else
	{
		$structure_file = 'mysql_db_tables.php';
	}

	require_once INSTALL_ROOT."/resources/{$structure_file}";
	foreach($tables as $val)
	{
		$val = preg_replace('#mybb_(\S+?)([\s\.,]|$)#', $mybb->input['tableprefix'].'\\1\\2', $val);
		preg_match('#CREATE TABLE (\S+) \(#i', $val, $match);
		if($match[1])
		{
			$db->query('DROP TABLE IF EXISTS '.$match[1]);
			echo sprintf($lang->tablecreate_step_created, $match[1]);
		}
		$db->query($val);
		if($match[1])
		{
			echo $lang->done . "<br />\n";
		}
	}
	echo $lang->tablecreate_step_done;
	$output->print_footer('populate_tables');
}

function populate_tables()
{
	global $output, $lang, $config;

	require MYBB_ROOT.'inc/config.php';
	$db = db_connection($config);

	$output->print_header($lang->table_population, 'tablepopulate');
	echo sprintf($lang->populate_step_insert);

	if($dboptions[$config['dbtype']]['population_file'])
	{
		$population_file = $dboptions[$config['dbtype']]['population_file'];
	}
	else
	{
		$population_file = 'mysql_db_inserts.php';
	}

	require_once INSTALL_ROOT."/resources/{$population_file}";
	foreach($inserts as $val)
	{
		$val = preg_replace('#mybb_(\S+?)([\s\.,]|$)#', $config['table_prefix'].'\\1\\2', $val);
		$db->query($val);
	}
	echo $lang->populate_step_inserted;
	$output->print_footer('templates');
}

function insert_templates()
{
	global $output, $cache, $db, $lang, $config;

	require MYBB_ROOT.'inc/config.php';
	$db = db_connection($config);

	require_once MYBB_ROOT.'inc/class_datacache.php';
	$cache = new datacache;

	$output->print_header($lang->theme_installation, 'theme');

	echo $lang->theme_step_importing;

	$db->query("DELETE FROM ".TABLE_PREFIX."themes");
	$db->query("DELETE FROM ".TABLE_PREFIX."templates");
	$db->query("INSERT INTO ".TABLE_PREFIX."themes (name,pid,css,cssbits,themebits,extracss,allowedgroups) VALUES ('MyBB Master Style','0','','','','','')");
	$db->query("INSERT INTO ".TABLE_PREFIX."themes (name,pid,def,css,cssbits,themebits,extracss,allowedgroups) VALUES ('MyBB Default','1','1','','','','','')");
	$db->query("INSERT INTO ".TABLE_PREFIX."templatesets (title) VALUES ('Default Templates');");
	$templateset = $db->insert_id();

	$contents = @file_get_contents(INSTALL_ROOT.'/resources/mybb_theme.xml');
	$parser = new XMLParser($contents);
	$tree = $parser->get_tree();

	$theme = $tree['theme'];
	$css = kill_tags($theme['cssbits']);
	$themebits = kill_tags($theme['themebits']);
	$templates = $theme['templates']['template'];
	$themebits['templateset'] = $templateset;
	$sid = -2;
	foreach($templates as $template)
	{
		$templatename = $template['attributes']['name'];
		$templatevalue = $db->escape_string($template['value']);
		$templateversion = $template['attributes']['version'];
		$time = time();
		$db->query("INSERT INTO ".TABLE_PREFIX."templates (title,template,sid,version,status,dateline) VALUES ('{$templatename}','{$templatevalue}','{$sid}','{$templateversion}','','{$time}')");
	}
	update_theme(1, 0, $themebits, $css, 0);

	echo $lang->theme_step_imported;
	$output->print_footer('configuration');
}

function configure()
{
	global $output, $mybb, $errors, $lang;
	$output->print_header($lang->board_config, 'config');

	// If board configuration errors
	if(is_array($errors))
	{
		$error_list = error_list($errors);
		echo sprintf($lang->config_step_error_config, $error_list);

		$bbname = htmlspecialchars($mybb->input['bbname']);
		$bburl = htmlspecialchars($mybb->input['bburl']);
		$websitename = htmlspecialchars($mybb->input['websitename']);
		$websiteurl = htmlspecialchars($mybb->input['websiteurl']);
		$cookiedomain = htmlspecialchars($mybb->input['cookiedomain']);
		$cookiepath = htmlspecialchars($mybb->input['cookiepath']);
		$contactemail =  htmlspecialchars($mybb->input['contactemail']);
	}
	else
	{
		// Attempt auto-detection
		if($_SERVER['HTTP_HOST'])
		{
			$hostname = 'http://'.$_SERVER['HTTP_HOST'];
		}
		elseif($_SERVER['SERVER_NAME'])
		{
			$hostname = 'http://'.$_SERVER['SERVER_NAME'];
		}
		if($_SERVER['SERVER_PORT'] && $_SERVER['SERVER_PORT'] != 80 && !preg_match("#:[0-9]#i", $hostname))
		{
			$hostname .= ':'.$_SERVER['SERVER_PORT'];
		}
		$currentscript = $hostname.get_current_location();
		if($currentscript)
		{
			$bburl = my_substr($currentscript, 0, strpos($currentscript, '/install/'));
		}
		$bbname = 'Forums';
		$cookiedomain = '';
		$cookiepath = '/';
		$websiteurl = $hostname.'/';
		$websitename = 'Your Website';
		$contactemail = '';
	}

	echo sprintf($lang->config_step_table, $bbname, $bburl, $websitename, $websiteurl, $cookiedomain, $cookiepath, $contactemail);
	$output->print_footer('adminuser');
}

function create_admin_user()
{
	global $output, $mybb, $errors, $db, $lang, $config;
	$mybb->input['action'] = "adminuser";
	// If no errors then check for errors from last step
	if(!is_array($errors))
	{
		if(empty($mybb->input['bburl']))
		{
			$errors[] = $lang->config_step_error_url;
		}
		if(empty($mybb->input['bbname']))
		{
			$errors[] = $lang->config_step_error_name;
		}
		if(is_array($errors))
		{
			configure();
		}
	}
	$output->print_header($lang->create_admin, 'admin');

	if(is_array($errors))
	{
		$error_list = error_list($errors);
		echo sprintf($lang->admin_step_error_config, $error_list);
		$adminuser = $mybb->input['adminuser'];
		$adminemail = $mybb->input['adminemail'];
	}
	else
	{
		require MYBB_ROOT.'inc/config.php';
		$db = db_connection($config);

		echo $lang->admin_step_setupsettings;

		$settings = file_get_contents(INSTALL_ROOT.'/resources/settings.xml');
		$parser = new XMLParser($settings);
		$parser->collapse_dups = 0;
		$tree = $parser->get_tree();

		// Insert all the settings
		foreach($tree['settings'][0]['settinggroup'] as $settinggroup)
		{
			$groupdata = array(
				'name' => $db->escape_string($settinggroup['attributes']['name']),
				'title' => $db->escape_string($settinggroup['attributes']['title']),
				'description' => $db->escape_string($settinggroup['attributes']['description']),
				'disporder' => intval($settinggroup['attributes']['disporder']),
				'isdefault' => $settinggroup['attributes']['isdefault'],
			);
			$db->insert_query(TABLE_PREFIX.'settinggroups', $groupdata);
			$gid = $db->insert_id();
			$groupcount++;
			foreach($settinggroup['setting'] as $setting)
			{
				$settingdata = array(
					'name' => $db->escape_string($setting['attributes']['name']),
					'title' => $db->escape_string($setting['title'][0]['value']),
					'description' => $db->escape_string($setting['description'][0]['value']),
					'optionscode' => $db->escape_string($setting['optionscode'][0]['value']),
					'value' => $db->escape_string($setting['settingvalue'][0]['value']),
					'disporder' => intval($setting['disporder'][0]['value']),
					'gid' => $gid
				);

				$db->insert_query(TABLE_PREFIX.'settings', $settingdata);
				$settingcount++;
			}
		}
		echo sprintf($lang->admin_step_insertesettings, $settingcount, $groupcount);

		if (my_substr($mybb->input['bburl'], -1, 1) == '/')
		{
			$mybb->input['bburl'] = my_substr($mybb->input['bburl'], 0, -1);
		}

		$db->query("UPDATE ".TABLE_PREFIX."settings SET value='".$db->escape_string($mybb->input['bbname'])."' WHERE name='bbname'");
		$db->query("UPDATE ".TABLE_PREFIX."settings SET value='".$db->escape_string($mybb->input['bburl'])."' WHERE name='bburl'");
		$db->query("UPDATE ".TABLE_PREFIX."settings SET value='".$db->escape_string($mybb->input['websitename'])."' WHERE name='homename'");
		$db->query("UPDATE ".TABLE_PREFIX."settings SET value='".$db->escape_string($mybb->input['websiteurl'])."' WHERE name='homeurl'");
		$db->query("UPDATE ".TABLE_PREFIX."settings SET value='".$db->escape_string($mybb->input['cookiedomain'])."' WHERE name='cookiedomain'");
		$db->query("UPDATE ".TABLE_PREFIX."settings SET value='".$db->escape_string($mybb->input['cookiepath'])."' WHERE name='cookiepath'");
		$db->query("UPDATE ".TABLE_PREFIX."settings SET value='".$db->escape_string($mybb->input['contactemail'])."' WHERE name='adminemail'");
		$db->query("UPDATE ".TABLE_PREFIX."settings SET value='mailto:".$db->escape_string($mybb->input['contactemail'])."' WHERE name='contactlink'");

		write_settings();
		echo $lang->admin_step_createadmin;
	}

	echo sprintf($lang->admin_step_admintable, $adminuser, $adminemail);
	$output->print_footer('final');
}

function install_done()
{
	global $output, $db, $mybb, $errors, $cache, $lang, $config;

	if(empty($mybb->input['adminuser']))
	{
		$errors[] = $lang->admin_step_error_nouser;
	}
	if(empty($mybb->input['adminpass']))
	{
		$errors[] = $lang->admin_step_error_nopassword;
	}
	if($mybb->input['adminpass'] != $mybb->input['adminpass2'])
	{
		$errors[] = $lang->admin_step_error_nomatch;
	}
	if(empty($mybb->input['adminemail']))
	{
		$errors[] = $lang->admin_step_error_noemail;
	}
	if(is_array($errors))
	{
		create_admin_user();
	}

	require MYBB_ROOT.'inc/config.php';
	$db = db_connection($config);
	
	require MYBB_ROOT.'inc/settings.php';
	$mybb->settings = &$settings;

	ob_start();
	$output->print_header($lang->finish_setup, 'finish');

	echo $lang->done_step_admincreated;
	$now = time();
	$salt = random_str();
	$loginkey = generate_loginkey();
	$saltedpw = md5(md5($salt).md5($mybb->input['adminpass']));

	$newuser = array(
		'username' => $db->escape_string($mybb->input['adminuser']),
		'password' => $saltedpw,
		'salt' => $salt,
		'loginkey' => $loginkey,
		'email' => $db->escape_string($mybb->input['adminemail']),
		'usergroup' => 4,
		'regdate' => $now,
		'lastactive' => $now,
		'lastvisit' => $now,
		'website' => '',
		'icq' => '',
		'aim' => '',
		'yahoo' => '',
		'msn' =>'',
		'birthday' => '',
		'signature' => '',
		'allownotices' => 'yes',
		'hideemail' => 'no',
		'emailnotify' => 'no',
		'receivepms' => 'yes',
		'pmpopup' => 'yes',
		'pmnotify' => 'yes',
		'remember' => 'yes',
		'showsigs' => 'yes',
		'showavatars' => 'yes',
		'showquickreply' => 'yes',
		'invisible' => 'no',
		'style' => '0',
		'timezone' => 0,
		'dst' => 'no',
		'threadmode' => '',
		'daysprune' => 0,
		'regip' => $db->escape_string(get_ip()),
		'language' => '',
		'showcodebuttons' => 1,
		'tpp' => 0,
		'ppp' => 0,
		'referrer' => 0,
		'buddylist' => '',
		'ignorelist' => '',
		'pmfolders' => '',
		'notepad' => '',
		'showredirect' => 'yes'
	);
	$db->insert_query(TABLE_PREFIX.'users', $newuser);
	$uid = $db->insert_id();

	$db->query("INSERT INTO ".TABLE_PREFIX."adminoptions VALUES ('{$uid}','','','1','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes')");

	// Automatic Login
	my_setcookie('mybbuser', $uid.'_'.$loginkey, null, true);
	ob_end_flush();

	echo $lang->done . '</p>';


	// Make fulltext columns if supported
	if($db->supports_fulltext(TABLE_PREFIX.'threads'))
	{
		$db->create_fulltext_index(TABLE_PREFIX.'threads', 'subject');
	}
	if($db->supports_fulltext_boolean(TABLE_PREFIX.'posts'))
	{
		$db->create_fulltext_index(TABLE_PREFIX.'posts', 'message');
	}

	// Register a shutdown function which actually tests if this functionality is working
	add_shutdown('test_shutdown_function');

	echo $lang->done_step_cachebuilding;
	require_once MYBB_ROOT.'inc/class_datacache.php';
	$cache = new datacache;
	$cache->updateversion();
	$cache->updateattachtypes();
	$cache->updatesmilies();
	$cache->updatebadwords();
	$cache->updateusergroups();
	$cache->updateforumpermissions();
	$cache->updatestats();
	$cache->updatemoderators();
	$cache->updateforums();
	$cache->updateusertitles();
	$cache->updatereportedposts();
	$cache->updatemycode();
	$cache->updateposticons();
	$cache->updateupdate_check();
	echo $lang->done . '</p>';

	echo $lang->done_step_success;

	$written = 0;
	if(is_writable('./'))
	{
		$lock = @fopen('./lock', 'w');
		$written = @fwrite($lock, '1');
		@fclose($lock);
		if($written)
		{
			echo $lang->done_step_locked;
		}
	}
	if(!$written)
	{
		echo $lang->done_step_dirdelete;
	}
	echo $lang->done_subscribe_mailing;
	$output->print_footer('');
}

function db_connection($config)
{
	require_once MYBB_ROOT."inc/db_{$config['dbtype']}.php";
	$db = new databaseEngine;
	// Connect to Database
	define('TABLE_PREFIX', $config['table_prefix']);
	$db->connect($config['hostname'], $config['username'], $config['password']);
	$db->select_db($config['database']);
	return $db;
}

function error_list($array)
{
	$string = "<ul>\n";
	foreach($array as $error)
	{
		$string .= "<li>{$error}</li>\n";
	}
	$string .= "</ul>\n";
	return $string;
}

function write_settings()
{
	global $db;
	$query = $db->query('SELECT * FROM '.TABLE_PREFIX.'settings ORDER BY title ASC');
	while($setting = $db->fetch_array($query))
	{
		$setting['value'] = str_replace("\"", "\\\"", $setting['value']);
		$settings .= "\$settings['{$setting['name']}'] = \"{$setting['value']}\";\n";
	}
	if(!empty($settings))
	{
		$settings = "<?php\n/*********************************\ \n  DO NOT EDIT THIS FILE, PLEASE USE\n  THE SETTINGS EDITOR\n\*********************************/\n\n{$settings}\n?>";
		$file = fopen(MYBB_ROOT."inc/settings.php", "w");
		fwrite($file, $settings);
		fclose($file);
	}
}

function test_shutdown_function()
{
	global $db;
	$db->query("UPDATE ".TABLE_PREFIX."settings SET value='yes' WHERE name='useshutdownfunc'");
	write_settings();
}
?>