<?php
/**
 * MyBB 1.2
 * Copyright  2006 MyBB Group, All Rights Reserved
 *
 * Website: http://www.mybboard.net
 * License: http://www.mybboard.net/eula.html
 *
 * $Id: upgrade2.php 3942 2008-06-23 04:25:21Z Tikitiki $
 */

/**
 * Upgrade Script: Release Candidate 3
 */

$upgrade_detail = array(
	"revert_all_templates" => 1,
	"revert_all_themes" => 1,
	"revert_all_settings" => 1
	);

function upgrade2_dbchanges()
{
	global $db, $output;

	$output->print_header("Changements de la Base de donn&eacute;es depuis la distribution Release Candidate 3");

	$contents .= "<p>Modifications n&eacute;cessaires de la Base de donn&eacute;es...";
	
	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."badwords");
	$db->query("CREATE TABLE ".TABLE_PREFIX."badwords (
	  bid smallint(6) NOT NULL auto_increment,
	  badword varchar(100) NOT NULL,
	  replacement varchar(100) NOT NULL,
	  PRIMARY KEY(bid)
	);");

	if(!$db->field_exists("icon", TABLE_PREFIX."attachtypes"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."attachtypes ADD icon varchar(100) NOT NULL;");
	}
	$db->query("DELETE FROM ".TABLE_PREFIX."attachtypes;");

	$db->query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (1, 'Zip File', 'application/zip', 'zip', 1024, 'images/attachtypes/zip.gif');");
	$db->query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (2, 'JPEG Image', 'image/jpeg', 'jpg', 500, 'images/attachtypes/image.gif');");
	$db->query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (3, 'Text Document', 'text/plain', 'txt', 200, 'images/attachtypes/txt.gif');");
	$db->query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (4, 'GIF Image', 'image/gif', 'gif', 500, 'images/attachtypes/image.gif');");
	$db->query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (6, 'PHP File', 'application/octet-stream', 'php', 500, 'images/attachtypes/php.gif');");
	$db->query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (7, 'PNG Image', 'image/png', 'png', 500, 'images/attachtypes/image.gif');");
	$db->query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (8, 'Microsoft Word Document', 'application/msword', 'doc', 1024, 'images/attachtypes/doc.gif');");
	$db->query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (9, '', 'application/octet-stream', 'htm', 100, 'images/attachtypes/html.gif');");
	$db->query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (10, '', 'application/octet-stream', 'html', 100, 'images/attachtypes/html.gif');");
	$db->query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (11, '', 'image/jpeg', 'jpeg', 500, 'images/attachtypes/image.gif');");
	$db->query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (12, '', 'application/x-gzip', 'gz', 1024, 'images/attachtypes/tgz.gif');");
	$db->query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (13, '', 'application/x-tar', 'tar', 1024, 'images/attachtypes/tar.gif');");
	$db->query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (14, '', 'text/css', 'css', 100, 'images/attachtypes/css.gif');");
	$db->query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (15, '', 'application/pdf', 'pdf', 2048, 'images/attachtypes/pdf.gif');");
	$db->query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (16, '', 'image/bmp', 'bmp', 500, 'images/attachtypes/image.gif');");

	if(!$db->field_exists("outerwidth", TABLE_PREFIX."themes"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."themes ADD outerwidth varchar(15) NOT NULL;");
	}
	if(!$db->field_exists("icon", TABLE_PREFIX."themes"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."themes ADD outercolor varchar(15) NOT NULL;");
	}	
	$db->query("ALTER TABLE ".TABLE_PREFIX."themes CHANGE body bodybgcolor varchar(15) NOT NULL;");
	
	if(!$db->field_exists("bodybgimage", TABLE_PREFIX."themes"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."themes ADD bodybgimage varchar(100) NOT NULL default '' AFTER bodybgcolor;");
	}
	if(!$db->field_exists("bodybgimageattributes", TABLE_PREFIX."themes"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."themes ADD bodybgimageattributes varchar(100) NOT NULL default '' AFTER bodybgimage;");
	}
	
	$db->query("UPDATE ".TABLE_PREFIX."themes SET outerwidth='0', bodybgcolor='#e3e3e3', bodybgimage='images/Light/logo_bg.png', bodybgimageattributes='repeat-x'");
	
	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."regimages;");
	$db->query("CREATE TABLE ".TABLE_PREFIX."regimages (
	  imagehash varchar(32) NOT NULL,
	  imagestring varchar(8) NOT NULL,
	  dateline bigint(30) NOT NULL
	);");

	$db->query("UPDATE ".TABLE_PREFIX."adminoptions SET cpstyle=''");

	if(!$db->field_exists("language", TABLE_PREFIX."users"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."users ADD language varchar(50) NOT NULL;");
	}
	if(!$db->field_exists("timeonline", TABLE_PREFIX."users"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."users ADD timeonline bigint(30) NOT NULL default '0';");
	}
	if(!$db->field_exists("showcodebuttons", TABLE_PREFIX."users"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."users ADD showcodebuttons int(1) NOT NULL default '1';");
	}
	$db->query("UPDATE ".TABLE_PREFIX."users SET language='english', showcodebuttons=1");

	if(!$db->field_exists("oldgroup", TABLE_PREFIX."awaitingactivation"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."awaitingactivation ADD oldgroup bigint(30) NOT NULL;");
	}
	if(!$db->field_exists("misc", TABLE_PREFIX."awaitingactivation"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."awaitingactivation ADD misc varchar(255) NOT NULL;");
	}
	$db->query("DELETE FROM ".TABLE_PREFIX."awaitingactivation WHERE type='e'");

	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."settings;");
	$db->query("CREATE TABLE ".TABLE_PREFIX."settings (
	  sid smallint(6) NOT NULL auto_increment,
	  name varchar(120) NOT NULL default '',
	  title varchar(120) NOT NULL default '',
	  description text NOT NULL,
	  optionscode text NOT NULL,
	  value text NOT NULL,
	  disporder smallint(6) NOT NULL default '0',
	  gid smallint(6) NOT NULL default '0',
	  PRIMARY KEY  (sid)
	);");

	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."reportedposts;");
	$db->query("CREATE TABLE ".TABLE_PREFIX."reportedposts (
	  rid smallint(6) NOT NULL auto_increment,
	  pid smallint(6) NOT NULL,
	  tid smallint(6) NOT NULL,
	  fid smallint(6) NOT NULL,
	  uid smallint(6) NOT NULL,
	  reportstatus int(1) NOT NULL,
	  reason varchar(250) NOT NULL,
	  dateline bigint(30) NOT NULL,
	  PRIMARY KEY (rid)
	);");

	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."threadsread;");
	$db->query("CREATE TABLE ".TABLE_PREFIX."threadsread (
	  tid smallint(6) NOT NULL,
	  uid smallint(6) NOT NULL,
	  dateline int(10) NOT NULL,
	  UNIQUE KEY tiduid (tid, uid)
	);");
	$contents .= "termin&eacute;</p>";

	$output->print_contents("$contents<p>Veuillez cliquer Suivant pour continuer le processus de mise &agrave; jour.</p>");
	$output->print_footer("2_dbchanges2");
}

function upgrade2_dbchanges2()
{
	global $db, $output;

	$output->print_header("Changements de la Base de donn&eacute;es depuis la distribution Release Candidate 3");
	$contents .= "<p>R&eacute;insertion des param&egrave;tres...";

	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'boardclosed', 'Forum ferm', 'Si vous avez devez fermer votre forum pour modifications ou mise  jour, faites-le ici. Les visiteurs ne pourront voir vos forums, cependant, ils verront le message en indiquant la raison ci-dessous.</b>', 'yesno', 'no', 1, 26);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'boardclosed_reason', 'Raison de fermeture du forum', 'Si votre forum est ferm, vous pouvez laisser ici le message que vos visiteurs varront s\'ils viennent sur le forum.', 'textarea', 'Ces forums sont actuellement ferms pour maintenance. Veuillez revenir plus tard.', 2, 26);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'bbname', 'Nom du Forum', 'Le nom de votre forum. Nous vous recommandons de ne pas dpasser 75 caract&egrave;res.', 'text', 'MyBB Forums', 1, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'bburl', 'URL du Forum', 'L\'url de vos forums.<br />Incluez http://. N\'incluez PAS de slash terminal.', 'text', '', 2, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'homename', 'Nom de la page d\'accueil', 'Le nom de votre page d\'accueil. Le lien sur celle-ci sera insr dans le pied de page.', 'text', 'MyBB', 3, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'homeurl', 'URL de la page d\'accueil', 'L'URL compl&egrave;te de votre page d\'accueil. Le lien sera insr dans le pied de page ainsi que son nom.', 'text', 'http://www.mybboard.net', 4, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'dateformat', 'Format de date', 'Le format des dates utilis sur le forum. Ce format utilise la fonction PHP date(). Nous recommandons de ne pas changer ceci sauf si vous &ecirc:tes sr de ce que vous faites.', 'text', 'm-d-Y', 1, 3);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'adminemail', 'Email Admin', 'L\'adresse email de l\'administrateur. Elle sera utilise pour l\'envoi de messages via les forums.', 'text', '', 5, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'timeformat', 'Format d\'heure', 'Le format des heures utilis sur le forum. Ce format utilise la fonction PHP date(). Nous recommandons de ne pas changer ceci sauf si vous &ecirc:tes sr de ce que vous faites.', 'text', 'h:i A', 2, 3);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'threadsperpage', 'Sujets par page', '', 'text', '20', 1, 7);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'stickyprefix', 'Prfixe des sujets Post-it', 'Le prfixe des sujets qui ont t mis en post-it par un modrateur ou un administrateur.', 'text', '<b>Sticky:</b>', 2, 7);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'hottopic', 'Rponses pour un sujet Hot', 'Le nombre de rponses ncessaires  un sujet pour qu\'il soit considr comme \'hot\'.', 'text', '20', 3, 7);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'cookiedomain', 'Domaine des Cookies', 'Le domaine dans lequel seront placs les cookies. Peut rester vide. Peut aussi commencer par un . ainsi tous les sous-domaines sont couverts.', 'text', '', 8, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'cookiepath', 'Chemin des cookies', 'Le chemin dans lequel seront placs les cookies, nous vous recommandons de mettre le chemin complet sur le rpertoire de vos forums avec un slash terminal.', 'text', '', 9, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pollprefix', 'Prfixe des sondages', 'Le prfixe de l\'affichage du forum contant les sondages.', 'text', '<b>Poll:</b>', 4, 7);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'postsperpage', 'Messages par page:', 'Le nombre de messages  afficher par page. Nous vous recommandons de ne pas dpasser 20 pour les gens ayant des connexions lentes.', 'text', '10', 1, 8);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'regdateformat', 'Format date d\'enregistrement', 'Le format utilis pour indiquer la date d\'enregistrement de l\'utilisateur dans l\'affichage des sujets.', 'text', 'M Y', 3, 3);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'sigmycode', 'Autoriser myCode dans les signatures', 'Voulez-vous autoriser l\'utilisation de myCode dans les signatures d\'utilisateurs?', 'yesno', 'yes', 1, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'sigsmilies', 'Autoriser les moticnes dans les signatures', 'Voulez-vous autoriser l\'utilisation des moticnes dans les signatures d\'utilisateurs?', 'yesno', 'yes', 3, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'sightml', 'Autoriser le HTML dans les signatures', 'Voulez-vous autoriser l\'utilisation du HTML dans les signatures d\'utilisateurs?', 'yesno', 'no', 4, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'sigimgcode', 'Autoriser le code [img] dans les signatures', 'Voulez-vous autoriser l\'utilisation du code [img] dans les signatures d\'utilisateurs?', 'yesno', 'yes', 5, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'quoteboxstyle', 'Botes citation fantaisie', 'En slectionnant oui, les citations seront dans une table et auront un look plus professionnel. En slectionnant non, les citations auront leur aspect habituel.'', 'yesno', 'yes', 1, 10);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'codeboxstyle', 'Botes code fantaisie', 'En slectionnant oui, les codes seront dans une table et auront un look plus professionnel. En slectionnant non, les codes auront leur aspect habituel.', 'yesno', 'yes', 2, 10);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'threadusenetstyle', 'Visualiser les sujets style Usenet', 'Si vous choisissez oui, les messages auront un aspect similaire  ceux de USENET. Non donnera aux messages le style moderne.', 'yesno', 'no', 4, 8);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pmsallowhtml', 'Autoriser le HTML', 'Si vous choisissez oui, le HTML peut &ecirc:tre utilis dans les messages privs.', 'yesno', 'no', 1, 11);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pmsallowmycode', 'Autoriser MyCode', 'Si vous choisissez oui, MyCode peut &ecirc:tre utilis dans les messages privs.', 'yesno', 'yes', 2, 11);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pmsallowsmilies', 'Autoriser les emoticnes', 'Si vous choisissez oui, les emoticnes pourront &ecirc:tre utiliss dans les messages privs.', 'yesno', 'yes', 3, 11);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pmsallowimgcode', 'Autoriser le code [img]', 'Si vous choisissez oui, les codes [img] pourront &ecirc:tre utiliss dans les messages privs.', 'yesno', 'yes', 4, 11);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'siglength', 'Limite de longueur des signatures', 'Le nombre maximum de caract&egrave;res qu\'un utilisateur peut mettre dans une signature.', 'text', '255', 6, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'messagelength', 'Longueur maximale du message', 'Le nombre maximum de caract&egrave;res autoriss dans un message. Si vous mettez  0, la longueur est illimite.', 'text', '0', 1, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'membersperpage', 'Membres par page', 'Le nombre de membres  afficher par page dans la liste des membres.', 'text', '20', 1, 12);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'load', 'Limitation Charge *NIX', 'Limite le maximum de charge du serveur avant que myBB ne rejette les visiteurs. 0 pour aucune. La limite recommande est 5.0.', 'text', '0', 5, 27);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'emailkeep', 'Garder email utilisateurs', 'Si un utilisateur a un email dj enregistr dans votre liste de bannis, il peut &ecirc:tre autoris  le garder.', 'yesno', 'no', 4, 14);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'ipban', 'Bannir par IP', 'Ici, vous pouvez spcifier des adresses IP ou une plage d\'adressess IP. Vous pouvez sparer chaque IP par une virgule.', 'textarea', '', 2, 14);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'emailban', 'Bannir par Email', 'Vous pouvez spcifier des adresses email spcifiques  bannir, ou vous pouvez spcifier un domaine. Vous devez sparer les adresses email et les domaines par un espace.', 'textarea', '', 3, 14);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'avatarsize', 'Taille maximum de l\'Avatar upload', 'Taille maximum du fichier (en kilooctets) des avatars uploads.', 'text', '10', 8, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'avatardir', 'Dossier des Avatars', 'Le dossier o vos avatars sont stocks. Ceci est utilis dans la liste des avatars du CP Utilisateur.', 'text', 'images/avatars', 7, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showeditedby', 'Afficher le message \'dit par\'', 'Quand un message est modifi par un utilisateur rgulier, voulez-vous afficher le message \'dit par\'?', 'yesno', 'yes', 6, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxposts', 'Messages maximum par jour', 'Le nombre total de messages autoriss par utilisateur et par jour. 0 pour illimit.', 'text', '0', 2, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showeditedbyadmin', 'Afficher les messages \'dit par\' pour l'Equipe du Forum', 'Voulez-vous afficher le message \'dit par\' pour l'quipe du forum quand ils ditent leurs propres posts?', 'yesno', 'yes', 7, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'Vous devez sparerusernames', 'Bannir Nom d\'Utilisateurs', 'Bannir des utilisateurs en enregistrant certains noms. Sparez-les par un espace.', 'textarea', 'drcracker Oops! hmmm', 1, 14);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxpolloptions', 'Nombre maximum d\'options de sondage', 'Le nombre maximum d\'options pour les sondages que les utilisateurs peuvent poster.', 'text', '10', 3, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'dotfolders', 'Utiliser les icnes \'point\'', 'Voulez-vous afficher des points sur les indicateurs de sujets auxquels les utilisateurs ont particip.', 'yesno', 'yes', 8, 7);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'contactlink', 'Lien Nous contacter', 'Ceci sera utilis pour le lien \'Nous contacter_' au pied de toutes les pages des forums. Ce peut &ecirc:tre une adresse (utilisant mailto:email@website.com) ou un hyperlien.', 'text', 'mailto:contact@mybboard.net', 6, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showdescriptions', 'Afficher descriptions Forum?', 'Cette option vous permet de dsactiver l\'affichage des descriptions pour les forums.', 'yesno', 'yes', 1, 16);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showbirthdays', 'Afficher les anniversaires du jour?', 'Voulez-vous afficher les anniversaires du jour sur la page d\'accueil du forum?', 'yesno', 'yes', 2, 16);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showwol', 'Afficher qui est en ligne?', 'Afficher les utilisateurs actuellement actifs sur la la page d'accueil du forum.', 'yesno', 'yes', 4, 16);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'hideprivateforums', 'Cacher les forums privs?', 'Vous pouvez cacher des forums privs en activant cette option. Cette option cache aussi les forums dans les liens sur les forums et tous les sous-forums.', 'yesno', 'yes', 3, 16);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showsimilarthreads', 'Afficher le tableau des \'Sujets Similaires\'', 'Le tableau des sujets similaires affiche les sujets qui ont un rapport avec le sujet actuellement lu. Vous pouvez dterminer la pertinence du rapport ci-dessous.', 'yesno', 'no', 5, 8);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'similarityrating', 'Pertinence de rapport de sujets similaires', 'Ceci vous permet de limiter les sujets similaires  ceux ayant le plus de rapport (0 tant sans rapport). Ce nombre ne doit pas dpasser 10 et ne doit pas &ecirc:tre trop petit (<5) pour de gros forums.', 'text', '1', 7, 8);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'similarlimit', 'Limite de sujets similaires', 'Ici vous pouvez modifier le nombre total de sujets similaires  afficher dans le tableau des sujets similaires. Il est recommand de ne pas dpasser 15 pour les utilisateurs en 56k.', 'text', '10', 8, 8);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'privateeventcolor', 'Couleur des vnements privs', 'La couleur que prendront les vnements privs sur la page principale du calendrier.', 'text', 'red', 2, 17);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'publiceventcolor', 'Couleur des vnements publics', 'La couleur que prendront les vnements publics sur la page principale du calendrier.', 'text', 'green', 1, 17);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'movedprefix', 'Prfixe des sujets dplacs', 'Le prfixe que les sujets dplacs vers un autre forum doivent avoir.', 'text', '<b>Moved:</b>', 5, 7);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'hottopicviews', 'Affichages pour un sujet Hot', 'Le nombre d'affichages ncessaires  un sujet pout qu'il soit considr comme \'hot\'.', 'text', '150', 7, 7);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'logip', 'Journal des adresses IP des posteurs', 'Voulez-vous tablir un journal des addresses ip des utilisateurs qui postent, et qui acceptent aussi de montrer leurs adresses ip.', 'radio\r\nno=Pas de journal des IP\r\nhide=Afficher aux Admins & Mods\r\nshow=Afficher  tous les utilisateurs', 'hide', 3, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'statslimit', 'Limite des statistiques', 'Le nombre de sujets  afficher dans la page statistiques pour les records de rponses et d\'affichages.', 'text', '15', 10, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'modlist', 'Liste des modrateurs des Forums', 'Ici vous pouvez activer ou dsactiver la liste des modrateurs pour chaque forum de index.php et de forumdisplay.php', 'onoff', 'on', 5, 16);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'smilieinserter', 'Insertion d\'moticnes cliquables', 'Les moticnes cliquables apparatront dans les pages d\'envoi de message si cette option est mise sur \'on\'.', 'onoff', 'on', 1, 20);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'smilieinsertertot', 'Nb. d\'moticnes  afficher', 'Entrez le nombre total d\'moticnes  afficher dans le panneau d\'insertion d\'moticnes.', 'text', '20', 2, 20);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'smilieinsertercols', 'Nb. de colonnes d\'moticnes  afficher', 'Entrez le nombre de colonnes que vous voulez afficher dans le panneau d\'insertion d\'moticnes.', 'text', '4', 3, 20);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showindexstats', 'Afficher la section des petites statistiques', 'Voulez-vous afficher le nombre total de sujets, de messages, de membres, et le dernier membre sur l\'accueil du forum?', 'yesno', 'yes', 6, 16);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'regtype', 'Mthode d\'enregistrement', 'Veuillez slectionner la mthode  utiliser quand les utilisateurs s\'enregistrent.', 'select\r\ninstant=Activation immdiate\r\nverify=Vrification par envoi d'email\r\nrandompass=Envoyer un mot de passe alatoire', 'verify', 1, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'userpppoptions', 'Choix du nombre de messages par page', 'Si vous voulez que les utilisateurs puissent slectionner le nombre de messages  afficher par page dans un sujet, entrez les options qu\'ils pourront choisir, spares par des virgules. Si ce champ est laiss vide, ils ne pourront choisir le nombre de messages par page.', 'text', '5,10,20,25,30,40,50', 2, 8);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'usertppoptions', 'Nombre de sujets slectionnable par page', Si vous voulez autoriser les utilisateurs  choisir le nombre de sujets  afficher par page dans un forum, entrez les options qu\'ils pourront slectionner spares par des virgules. Si vous laissez ce champ vide, le choix du nombre de sujets par page ne sera pas accessible.', 'text', '10,20,25,30,40,50', 6, 7);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'wolcutoffmins', 'Dlai de coupure (minutes)', 'Le nombre de minutes avant qu\'un utilisateur soit marqu hors-ligne. Recommand: 15.', 'text', '15', 1, 23);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'postfloodcheck', 'Vrification du Flood', 'Mettez  on si vous voulez activer la vrification du flood pour les messages. Spcifiez ci-dessous l\'intervalle de temps entre les messages.', 'onoff', 'on', 4, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'postfloodsecs', 'Dlai du Flood', 'Indiquez le temps (en secondes) d\'attente des utilisateurs entre deux messages. Pour prendre effet, l'option ci-dessus doit &ecirc:tre sur on.', 'text', '60', 5, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'gzipoutput', 'Utiliser la compression GZip des pages?', 'Voulez-vous compresser les pages au format GZip quand elles sont envoyes au navigateur? Ceci entrane des tlchargements plus rapides pour vos visiteurs, et un trafic moindre pour vous.', 'yesno', 'yes', 1, 27);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'standardheaders', 'Envoyer des ent&ecirc:tes standard', 'Avec certains serveurs web, cette option peut causer des probl&egrave;mes, avec d\'autres, elle est ncessaire. ', 'yesno', 'no', 2, 27);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'nocacheheaders', 'Envoyer des ent&ecirc:tes sans cache', 'Avec cette option vous pouvez emp&ecirc:cher la mise en cache de la page par le navigateur.', 'yesno', 'no', 3, 27);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxpostimages', 'Images maximum par message', 'Entrez le nombre maximum d\'images (incluant les moticnes) qu\'un utilisateur peut mettre dans son message. Mettez  0 pour dsactiver ceci.', 'text', '10', 8, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxsigimages', 'Nombre maximum d\'images par signature', 'Entrez le nombre maximum d\'images (incluant les moticnes) qu\'un utilisateur peut mettre dans sa signature. Mettez  0 pour dsactiver enti&egrave;rement les images dans les signatures.', 'text', '2', 2, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'browsingthisforum', 'Utilisateurs parcourant ce Forum', 'Ici vous pouvez dsactiver la fonctionnalit \'utilisateurs parcourant ce forum\'.', 'onoff', 'on', 9, 7);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'usereferrals', 'Utiliser le syst&egrave;me Referrals', 'Voulez-vous utiliser le syst&egrave;me referrals d\'utilisateur dans ces forums?', 'yesno', 'yes', 3, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'subscribeexcerpt', 'Nombre ce caract&egrave;res pour Notificaton de rponse', 'Combien de caract&egrave;res du message voulez-vous envoyer avec la notification email d\'une nouvelle rponse.', 'text', '100', 9, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'cpstyle', 'Style du Panneau de Contrle', 'Le style par dfaut utilis par le Panneau de Contrle. Les styles sont dans le dossier styles. Un nom de dossier dans ce dossier devient le titre du style et style.css dans le dossier du titre de style est le fichier style css.', 'cpstyle', 'Axiom', 2, 28);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'cplanguage', 'Langue du Panneau de Contrle', 'La langue du Panneau de Contrle.', 'adminlanguage', 'english', 1, 28);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'minnamelength', 'Longueur minimum du Nom d\'utilisateur', 'Le nombre minimum de caract&egrave;res du nom qu\'un utilisateur peut utiliser pour s\'enregistrer.', 'text', '3', 5, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxnamelength', 'Longueur maximum Nom d\'utilisateur', 'Le nombre maximum de caract&egrave;res du nom qu\'un utilisateur peut utiliser pour s\'enregistrer.', 'text', '30', 6, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'redirects', 'Redirection commente des pages', 'Ceci active la redirection commente des pages au lieu d\'envoyer directement l\'utilisateur sur la page.', 'onoff', 'on', 4, 27);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'betweenregstime', 'Intervalle de temps entre enregistrements', 'L\'intervalle de temps (en heures) pour interdire l\'enregistrement  des utilisateurs qui ont dj enregistr un compte avec la m&ecirc:me adresse ip.', 'text', '24', 2, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxregsbetweentime', 'Maximum d\'enregistrements par adresse IP', 'Cette option vous permet de fixer le nombre maximum de fois qu\'un utilisateur donn peut s'enregistrer dans l\'intervalle de temps spcifi ci-dessus.', 'text', '2', 4, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showstats', 'Afficher les statistiques du forum', 'Voulez-vous afficher le nombre total de messages, sujets, membres et le dernier membre enregistr sur la page du portail?', 'yesno', 'yes', 5, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showpms', 'Afficher le nombre de MPs des utilisateurs', 'Voulez-vous afficher le nombre de messages privs que l\'utilisateur actuel a dans son syst&egrave;me pm.', 'yesno', 'yes', 4, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showwelcome', 'Afficher la bote de bienvenue', 'Voulez-vous afficher la bote de bienvenue aux visiteurs / utilisateurs.', 'yesno', 'yes', 3, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_numannouncements', 'Nombre d\'annonces  afficher', 'Veuillez entrer le nombre d\'annonces  afficher dans la page principale.', 'text', '10', 2, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showstats', 'Afficher les statistiques du forum', 'Voulez-vous afficher le nombre total de messages, sujets, membres et le dernier membre enregistr sur la page du portail?', 'yesno', 'yes', 5, 29);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showwol', 'Afficher qui est en ligne', 'Voulez-vous afficher l\'information \'Qui est en ligne\' aux utilisateurs visitant la page du portail?', 'yesno', 'yes', 6, 29);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_announcementsfid', 'ID du Forum pour rcuprer les annonces', 'Veuillez entrer les ids de forum (fid) du(des) forum(s) d\'o vous voulez rcuprer les annonces. Sparez-les par une virgule (,)', 'text', '1', 1, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showdiscussionsnum', 'Nombre de derni&egrave;res discussions  afficher', 'Veuillez entrer le nombre de discussions du forum actuel  afficher sur la page du portail.', 'text', '10', 8, 29);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showwol', 'Afficher qui est en ligne', 'Voulez-vous afficher l\'information \'Qui est en ligne\' aux utilisateurs visitant la page du portail?', 'yesno', 'yes', 6, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showsearch', 'Afficher la bote de recherche', 'Voulez-vous afficher la bote de recherche, permettant aux utilisateurs de rechercher rapidement dans le forum sur la page du portail?', 'yesno', 'yes', 7, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showdiscussions', 'Afficher les derni&egrave;res discussions', 'Voulez-vous afficher les discussions actuelles du forum sur la page du portail?', 'yesno', 'yes', 8, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showdiscussionsnum', 'Nombre de derni&egrave;res discussions  afficher', 'Veuillez entrer le nombre de discussions du forum actuel  afficher sur la page du portail.', 'text', '10', 9, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'attachthumbh', 'Hauteur maximum pour les miniatures de pi&egrave;ces jointes', 'Entrez la hauteur maximale de gnration des miniatures.', 'text', '60', 12, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'attachthumbw', 'Largeur maximum pour les miniatures de pi&egrave;ces jointes', 'Entrez la largeur maximale de gnration des miniatures.', 'text', '60', 13, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxattachments', 'Maximum de pi&egrave;ces jointes par message', 'Le nombre maximum de pi&egrave;ces jointes qu\'un utilisateur est autoris  uploader par message.', 'text', '5', 10, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'attachthumbnails', 'Afficher les miniatures de pi&egrave;ces jointes dans les messages', 'Voulez-vous afficher les miniatures gnres pour les images jointes dans les messages?', 'yesno', 'yes', 11, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'polloptionlimit', 'Longueur maximum de l\'option Sondage', 'La longueur maximum que chaque option de sondage peut avoir. (Mettez  0 pour dsactiver).', 'text', '250', 1, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'timezoneoffset', 'Fuseau horaire par dfaut', 'Vous pouvez ici dterminer le fuseau horaire par dfaut pour les invits et les membres utilisant le fuseau par dfaut.', 'text', '+10', 4, 3);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'bblanguage', 'Default Language', 'The default language that MyBB should use for guests and for users without a selected language in their user control panel.', 'language', 'english', 7, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'regimage', 'Antispam Registration Image', 'If yes, and GD is installed, an image will be shown during registration where users are required to enter the text contained within the image to continue with registration.', 'onoff', 'on', 1, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'reportmethod', 'Reported Posts Medium', 'Please select from the list how you want reported posts to be dealt with. Storing them in the database is probably the better of the options listed.', 'radio\r\ndb=Stored in the Database\r\npms=Sent as Private Messages\r\nemail=Sent via Email', 'db', 1, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'threadreadcut', 'Read Threads in Database (Days)', 'The number of days that you wish to keep thread read information in the database. For large boards, we do not recommend a high number as the board will become slower. Set to 0 to disable.', 'text', '7', 3, 8);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'announcementlimit', 'Announcements Limit', 'The number of forum announcements to  show in the thread listing on the forum display pages. Set to 0 to show all active announcements.', 'text', '2', 10, 7);");

	$output->print_contents("$contents<p>Veuillez cliquer Suivant pour continuer le processus de mise &agrave; jour.</p>");
	$output->print_footer("2_done");
}
?>
