<?php
/**
 * MyBB 1.2
 * Copyright  2006 MyBB Group, All Rights Reserved
 *
 * Website: http://www.mybboard.net
 * License: http://www.mybboard.net/eula.html
 *
 * $Id: upgrade3.php 3942 2008-06-23 04:25:21Z Tikitiki $
 */

/**
 * Upgrade Script: Release Candidate 4
 */

$upgrade_detail = array(
	"revert_all_templates" => 1,
	"revert_all_themes" => 1,
	"revert_all_settings" => 1
	);

@set_time_limit(0);

function upgrade3_dbchanges()
{
	global $db, $output;

	$output->print_header("Conversion des pi&egrave;ces jointes en fichiers");

	$contents = "<p>La premi&egrave;re &eacute;tape du processus de mise &agrave; jour depuis RC4 est de d&eacute;placer vos pi&egrave;ces jointes et vos avatars dans le syst&egrave;me de fichiers.</p>";

	if(!@is_dir("../uploads/"))
	{
		$errors = "<p>../uploads/ n'existe pas dans le r&eacute;pertoire de votre forum. Veuillez cr&eacute;er ce dossier.";
	}
	else
	{
		if(!@is_writable("../uploads/"))
		{
			@chmod("../uploads", 766);
			if(!@is_writable("../uploads/"))
			{
				$errors = "<p>../uploads/ n'est pas en mode &eacute;criture! Veuillez faire en sorte qu'il le soit (chmod 766 ou 777).";
			}
		}
	}
	if(!@is_dir("../uploads/avatars/"))
	{
		$errors .= "<p>../uploads/avatars/ n'existe pas. Veuillez cr&eacute;er ce dossier.";
	}
	else
	{
		if(!@is_writable("../uploads/avatars/"))
		{
			@chmod("../uploads/avatars/", 766);
			if(!is_writable("../uploads/avatars/"))
			{
				$errors = "<p>../uploads/avatars/ n'est pas en mode &eacute;criture! Veuillez faire en sorte qu'il le soit (chmod 766 ou 777).";
			}		
		}
	}

	if($errors)
	{
		$output->print_contents($contents."<p><font color=\"red\">Afin de pouvoir faire cela, vous devez ex&eacute;cuter ce qui suit:</font></p>$errors");
		$output->print_footer("3_dbchanges");
		exit;
	}

	$contents .= "<p>Bien, nous avons dtermin que les param&egrave;tres du dossier sp&eacute;cifi&eacute; ont &eacute;t&eacute; trouv&eacute;s.</p>Si vous voulez changer le nombre de pi&egrave;ces jointes &agrave traiter par page, vous pouvez le faire ci-dessous.</p>";
	$contents .= "<p><strong>Pi&egrave;ces jointes par page:</strong> <input type=\"text\" size=\"3\" value=\"50\" name=\"attachmentspage\" /></p>";
	$contents .= "<p>Quand vous serez pr&ecirc;t, pressez suivant pour commencer la conversion.</p>";

	$output->print_contents($contents);
	$output->print_footer("3_convertattachments");
}

function upgrade3_convertattachments()
{
	global $db, $output;

	$output->print_header("Conversion des pi&egrave;ces jointes en fichiers");

	if(!$_POST['attachmentspage'])
	{
		$app = 50;
	}
	else
	{
		$app = $_POST['attachmentspage'];
	}

	if($_POST['attachmentstart'])
	{
		$startat = $_POST['attachmentstart'];
		$upper = $startat+$app;
		$lower = $startat;
	}
	else
	{
		$startat = 0;
		$upper = $app;
		$lower = 1;
	}

	require_once MYBB_ROOT."inc/settings.php";

	$query = $db->query("SELECT COUNT(aid) AS attachcount FROM ".TABLE_PREFIX."attachments");
	$cnt = $db->fetch_array($query);

	$contents .= "<p>Conversion des pi&egrave;ces jointes $lower sur $upper (".$cnt['attachcount']." Total)</p>";
	echo "<p>Conversion des pi&egrave;ces jointes $lower to $upper (".$cnt['attachcount']." Total)</p>";
	
	if(!$db->field_exists("uid", TABLE_PREFIX."attachments"))
	{
		// Add uid column
		$db->query("ALTER TABLE ".TABLE_PREFIX."attachments ADD uid smallint(6) NOT NULL AFTER posthash;");
	}

	if($db->field_exists("thumbnail", TABLE_PREFIX."attachments"))
	{
		// Drop thumbnail column
		$db->query("ALTER TABLE ".TABLE_PREFIX."attachments DROP thumbnail");
	}

	if(!$db->field_exists("thumbnail", TABLE_PREFIX."attachments"))
	{
		// Readd thumbnail column
		$db->query("ALTER TABLE ".TABLE_PREFIX."attachments ADD thumbnail varchar(120) NOT NULL;");
	}

	if(!$db->field_exists("attachname", TABLE_PREFIX."attachments"))
	{
		// Add attachname column
		$db->query("ALTER TABLE ".TABLE_PREFIX."attachments ADD attachname varchar(120) NOT NULL AFTER filesize;");
	}
	
	if(!$db->field_exists("donecon", TABLE_PREFIX."attachments"))
	{
		// Add temporary column
		$db->query("ALTER TABLE ".TABLE_PREFIX."attachments ADD donecon smallint(1) NOT NULL;");
	}

	$query = $db->query("SELECT a.*, p.uid AS puid, p.dateline FROM ".TABLE_PREFIX."attachments a LEFT JOIN ".TABLE_PREFIX."posts p ON (p.pid=a.pid) WHERE a.donecon!='1' ORDER BY a.aid ASC LIMIT $app");
	while($attachment = $db->fetch_array($query))
	{
		$filename = "post_".$attachment['puid']."_".$attachment['dateline'].$attachment['aid'].".attach";
		$ext = strtolower(my_substr(strrchr($attachment['filename'], "."), 1));
		$fp = fopen("../uploads/".$filename, "wb");
		if(!$fp)
		{
			die("Impossible de cr&eacute;er le fichier. Veuillez v&eacute;rifier les permissions et rafra&icirc;chir la page.");
		}
		fwrite($fp, $attachment['filedata']);
		fclose($fp);
		unset($attachment['filedata']);
		if($ext == "gif" || $ext == "png" || $ext == "jpg" || $ext == "jpeg" || $ext == "jpe")
		{
			require_once MYBB_ROOT."inc/functions_image.php";
			$thumbname = str_replace(".attach", "_thumb.$ext", $filename);
			$thumbnail = generate_thumbnail("../uploads/".$filename, "../uploads", $thumbname, $settings['attachthumbh'], $settings['attachthumbw']);
			if($thumbnail['code'] == 4)
			{
				// Image was too small - fake a filename
				$thumbnail['filename'] = "SMALL";
			}
		}
		$db->query("UPDATE ".TABLE_PREFIX."attachments SET attachname='".$filename."', donecon='1', uid='".$attachment['puid']."', thumbnail='".$thumbnail['filename']."' WHERE aid='".$attachment['aid']."'");
		unset($thumbnail);
	}
	echo "<p>Termin&eacute;.</p>";
	$query = $db->query("SELECT COUNT(aid) AS attachrem FROM ".TABLE_PREFIX."attachments WHERE donecon!='1'");
	$cnt = $db->fetch_array($query);
	if($cnt['attachrem'] != 0)
	{
		$nextact = "3_convertattachments";
		$startat = $startat+$app;
		$contents .= "<p><input type=\"hidden\" name=\"attachmentspage\" value=\"$app\" /><input type=\"hidden\" name=\"attachmentstart\" value=\"$startat\" />Termin&eacute;. Cliquez Suivant pour d&eacute;placer une nouvelle s&eacute;rie de pi&egrave;ces jointes.</p>";
	}
	else
	{
		if($db->field_exists("donecon", TABLE_PREFIX."attachments"))
		{
			$db->query("ALTER TABLE ".TABLE_PREFIX."attachments DROP donecon");
		}
		if($db->field_exists("filedata", TABLE_PREFIX."attachments"))
		{
			$db->query("ALTER TABLE ".TABLE_PREFIX."attachments DROP filedata");
		}
		if($db->field_exists("thumbnailsm", TABLE_PREFIX."attachments"))
		{
			$db->query("ALTER TABLE ".TABLE_PREFIX."attachments DROP thumbnailsm");
		}
		$nextact = "3_convertavatars";
		$contents .= "<p>Termin&eacute;</p><p>Toutes les pi&egrave;ces jointes ont &eacute;t&eacute; d&eacute;plac&eacute;es dans le syst&egrave;me de fichiers. L'&eacute;tape suivante consiste &agrave; convertir les avatars dans le syst&egrave;me de fichiers.</p>";
		$contents .= "<p>Si vous voulez changer le nombre d'avatars upload&eacute;s &agrave; traiter par page, vous pouvez le faire ci-dessous.</p>";
		$contents .= "<p><strong>Avatars par page:</strong> <input type=\"text\" size=\"3\" value=\"200\" name=\"userspage\" /></p>";
		$contents .= "<p>Quand vous serez pr&ecirc;t, pressez suivant pour commencer la conversion.</p>";
	}
	$output->print_contents($contents);
	$output->print_footer($nextact);
}

function upgrade3_convertavatars()
{
	global $db, $output;

	$output->print_header("Conversion d'avatars en fichiers");

	if(!$_POST['userspage'])
	{
		$app = 50;
	}
	else
	{
		$app = $_POST['userspage'];
	}

	if($_POST['avatarstart'])
	{
		$startat = $_POST['avatarstart'];
		$upper = $startat+$app;
		$lower = $startat;
	}
	else
	{
		$startat = 0;
		$upper = $app;
		$lower = 1;
	}

	require_once MYBB_ROOT."inc/settings.php";

	$query = $db->query("SELECT COUNT(uid) AS avatarcount FROM ".TABLE_PREFIX."avatars");
	$cnt = $db->fetch_array($query);

	$contents .= "<p>Conversion des avatars $lower sur $upper (".$cnt['avatarcount']." Total)</p>";

	// Add temporary column
	if(!$db->field_exists("donecon", TABLE_PREFIX."avatars"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."avatars ADD donecon smallint(1) NOT NULL;");
	}
	if(!$db->field_exists("avatartype", TABLE_PREFIX."attachments"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."users ADD avatartype varchar(10) NOT NULL AFTER avatar;");
	}

	$query = $db->query("SELECT * FROM ".TABLE_PREFIX."avatars WHERE donecon!='1' ORDER BY uid ASC LIMIT $app");
	while($avatar = $db->fetch_array($query))
	{
		$ext = "";
		switch($avatar['type'])
		{
			case "image/jpeg":
			case "image/jpg":
			case "image/pjpeg":
				$ext = "jpg";
				break;
			case "image/x-png":
			case "image/png":
				$ext = "png";
				break;
			case "image/gif":
				$ext = "gif";
				break;
		}
		if($ext)
		{
			$filename = "avatar_".$avatar['uid'].".".$ext;
			$fp = @fopen("../uploads/avatars/".$filename, "wb");
			if(!$fp)
			{
				die("Impossible de cr&eacute;er le fichier. Veuillez v&eacute;rifier les permissions et rafra&icirc;chir la page.");
			}
			fwrite($fp, $avatar['avatar']);
			fclose($fp);
			$db->query("UPDATE ".TABLE_PREFIX."avatars SET donecon='1' WHERE uid='".$avatar['uid']."'");
			$db->query("UPDATE ".TABLE_PREFIX."users SET avatar='uploads/avatars/$filename', avatartype='upload' WHERE uid='".$avatar['uid']."'");
		}
	}
	echo "<p>Termin&eacute;.</p>";
	$query = $db->query("SELECT COUNT(uid) AS avatarsrem FROM ".TABLE_PREFIX."avatars WHERE donecon!='1'");
	$cnt = $db->fetch_array($query);
	if($cnt['avatarsrem'] != 0)
	{
		$nextact = "3_convertavatars";
		$startat = $startat+$app;
		$contents .= "<p><input type=\"hidden\" name=\"userspage\" value=\"$app\" /><input type=\"hidden\" name=\"avatarstart\" value=\"$startat\" />Termin&eacute;. Cliquez Suivant pour d&eacute;placer une nouvelle s&eacute;rie d'avatars.</p>";
	}
	else
	{
		if($db->table_exists(TABLE_PREFIX."attachments"))
		{
			$db->query("DROP TABLE ".TABLE_PREFIX."avatars");
		}
		$nextact = "3_dbchanges2";
		$contents .= "<p>Termin&eacute;</p><p>Tous les avatars ont &eacute;t&eacute; d&eacute;plac&eacute;s dans le syst&egrave;me de fichiers. L'&eacute;tape suivante consiste &agrave; faire les modifications n&eacute;cessaires dans la Base de donn&eacute;es pour MyBB Gold.</p>";
	}
	$output->print_contents($contents);
	$output->print_footer($nextact);
}

function upgrade3_dbchanges2()
{
	global $db, $output;

	$output->print_header("Modifications de la Base de donn&eacute;es");

	$contents = "<p>Ex&eacute;cution des changements n&eacute;cessaires.</p>";

	if(!$db->field_exists("additionalgroups", TABLE_PREFIX."users"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."users ADD additionalgroups varchar(200) NOT NULL default '' AFTER usergroup;");
	}
	if(!$db->field_exists("displaygroup", TABLE_PREFIX."users"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."users ADD displaygroup smallint(6) NOT NULL default'0' AFTER additionalgroups;");
	}
	if(!$db->field_exists("candisplaygroup", TABLE_PREFIX."usergroups"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."usergroups ADD candisplaygroup varchar(3) NOT NULL;");
	}
	if(!$db->field_exists("reason", TABLE_PREFIX."banned"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."banned ADD reason varchar(200) NOT NULL");
	}
	if(!$db->field_exists("rulestype", TABLE_PREFIX."forums"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."forums ADD rulestype smallint(1) NOT NULL;");
	}
	if(!$db->field_exists("rulestitle", TABLE_PREFIX."forums"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."forums ADD rulestitle varchar(200) NOT NULL;");
	}
	if(!$db->field_exists("rules", TABLE_PREFIX."forums"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."forums ADD rules text NOT NULL;");
	}
	if(!$db->field_exists("usetranslation", TABLE_PREFIX."helpdocs"))
	{	
		$db->query("ALTER TABLE ".TABLE_PREFIX."helpdocs ADD usetranslation CHAR( 3 ) NOT NULL AFTER document;");
	}
	if(!$db->field_exists("enabled", TABLE_PREFIX."helpdocs"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."helpdocs ADD enabled CHAR( 3 ) NOT NULL AFTER usetranslation;");
	}
		/*
	
		This will break the upgrade for users who have customised help documents
		
		$db->query("UPDATE ".TABLE_PREFIX."helpdocs SET hid='6' WHERE hid='7'");
		$db->query("UPDATE ".TABLE_PREFIX."helpdocs SET hid='7' WHERE hid='8'");*/

	if(!$db->field_exists("usetranslation", TABLE_PREFIX."helpsections"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."helpsections ADD usetranslation CHAR( 3 ) NOT NULL AFTER description;");
	}
	if(!$db->field_exists("enabled", TABLE_PREFIX."helpsections"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."helpsections ADD enabled CHAR( 3 ) NOT NULL AFTER usetranslation;");
	}
	if(!$db->field_exists("firstpost", TABLE_PREFIX."threads"))
	{		
		$db->query("ALTER TABLE ".TABLE_PREFIX."threads ADD firstpost int unsigned NOT NULL default '0' AFTER dateline;");
	}
	if(!$db->field_exists("attachquota", TABLE_PREFIX."usergroups"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."usergroups ADD attachquota bigint(30) NOT NULL default '0';");
	}
	if(!$db->field_exists("cancustomtitle", TABLE_PREFIX."usergroups"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."usergroups ADD cancustomtitle varchar(3) NOT NULL;");
	}
	
	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."groupleaders;");
	$db->query("CREATE TABLE ".TABLE_PREFIX."groupleaders (
	 lid smallint(6) NOT NULL auto_increment,
	 gid smallint(6) NOT NULL,
	 uid smallint(6) NOT NULL,
	 PRIMARY KEY(lid)
	);");

	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."joinrequests;");
	$db->query("CREATE TABLE ".TABLE_PREFIX."joinrequests (
	 rid smallint(6) NOT NULL auto_increment,
	 uid smallint(6) NOT NULL,
	 gid smallint(6) NOT NULL,
	 reason varchar(250) NOT NULL,
	 dateline bigint(30) NOT NULL,
	 PRIMARY KEY(rid)
	);");

	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."online;");
	$db->query("CREATE TABLE ".TABLE_PREFIX."sessions (
	  sid varchar(32) NOT NULL default '',
	  uid int unsigned NOT NULL default '0',
	  ip varchar(40) NOT NULL default '',
	  time bigint(30) NOT NULL default '0',
	  location varchar(150) NOT NULL default '',
	  useragent varchar(100) NOT NULL default '',
	  anonymous int(1) NOT NULL default '0',
	  nopermission int(1) NOT NULL default '0',
	  location1 int(10) NOT NULL default '0',
	  location2 int(10) NOT NULL default '0',
	  PRIMARY KEY(sid),
	  KEY location1 (location1),
	  KEY location2 (location2)
	);");

	if(!$db->field_exists("salt", TABLE_PREFIX."users"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."users ADD salt varchar(10) NOT NULL AFTER password;");
	}
	
	if(!$db->field_exists("loginkey", TABLE_PREFIX."users"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."users ADD loginkey varchar(50) NOT NULL AFTER salt;");
	}

	if($db->field_exists("pmnotify", TABLE_PREFIX."users"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."users DROP pmnotify;");
	}	

	if(!$db->field_exists("pmnotify", TABLE_PREFIX."users"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."users ADD pmnotify varchar(3) NOT NULL AFTER pmpopup;");
	}

	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."settinggroups");

	$db->query("CREATE TABLE ".TABLE_PREFIX."settinggroups (
	  gid smallint(6) NOT NULL auto_increment,
	  name varchar(220) NOT NULL default '',
	  description text NOT NULL,
	  disporder smallint(6) NOT NULL default '0',
	  isdefault char(3) NOT NULL default '',
	  PRIMARY KEY  (gid)
	) TYPE=MyISAM;");

	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."settings");

	$db->query("CREATE TABLE ".TABLE_PREFIX."settings (
	  sid smallint(6) NOT NULL auto_increment,
	  name varchar(120) NOT NULL default '',
	  title varchar(120) NOT NULL default '',
	  description text NOT NULL,
	  optionscode text NOT NULL,
	  value text NOT NULL,
	  disporder smallint(6) NOT NULL default '0',
	  gid smallint(6) NOT NULL default '0',
	  PRIMARY KEY  (sid)
		) TYPE=MyISAM;");

	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."datacache;");
	$db->query("CREATE TABLE ".TABLE_PREFIX."datacache (
	  title varchar(30) NOT NULL default '',
	  cache mediumtext NOT NULL,
	  PRIMARY KEY(title)
	) TYPE=MyISAM;");

	$contents .= "<p>Termin&eacute;</p>";
	$contents .= "<p>Suppression des paramtres et reconstruction...";

	$db->query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (1, 'Configuration gnrale', 'Cette section contient divers param&egrave;tres tels que le nom de votre forum et son url, ainsi que le nom de votre site web et son url..', 2, 'yes');");
	$db->query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (3, 'Formats de date et d\'heure', 'Ici vous pouvez spcifier les diffrents Formats de date et d\'heure utiliss pour afficher les dates et heures dans les forums.', 4, 'yes');");
	$db->query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (7, 'Options d\'affichage du Forum', 'Cette section vous permet de grer les diffrents param&egrave;tres utiliss dans l\'affichage du forum (forumdisplay.php) de vos forums comme activer et dsactiver diffrentes fonctionnalits.', 6, 'yes');");
	$db->query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (8, 'Options d\'affichage du sujet', 'Cette section vous permet de grer divers param&egrave;tres utiliss sur la page d\'affichage du sujet (showthread.php) de vos forums comme l\'activation ou la dsactivation des diffrentes fonctionnalits.', 7, 'yes');");
	$db->query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (11, 'Messagerie prive', 'Diverses options relatives au syst&egrave;me de Messagerie prive de MyBB (private.php) peuvent &ecirc:tre gres et dtermines ici.', 11, 'yes');");
	$db->query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (12, 'Liste des membres', 'Cette section vous permet de contrler divers aspects de la liste des membres du forum (memberlist.php), comme le nombre de membres  afficher par page, et les fonctionnalits  activer ou dsactiver.', 10, 'yes');");
	$db->query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (13, 'Envoi de messages', 'Ces options contrlent les divers lments en relation  la cration de nouveaux messages sur le forum.', 9, 'yes');");
	$db->query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (14, 'Options Bannissement', '', 15, 'yes');");
	$db->query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (16, 'Options Accueil du Forum', 'Cette section vous permet de grer les diffrents param&egrave;tres utiliss sur l\'accueil du forum (index.php) de vos forums comme l\'activation ou la dsactivation de diffrentes fonctionnalits.', 5, 'yes');");
	$db->query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (17, 'Calendrier', 'Le calendrier du forum permet de voir la liste des vnements publics et privs et les anniversaires des membres. Cette section vous permet de contrler et de grer les param&egrave;tres du calendrier.', 12, 'yes');");
	$db->query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (27, 'Options Serveur et Optimisation', 'Ces options vous permettent de fixer des prfrences de serveur et d\'optimisation afin de rduire la charge de votre serveur, et d'atteindre une meilleure performance sur votre forum.', 3, 'yes');");
	$db->query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (19, 'Options d\'Enregistrement et de Profil', 'Ici vous pouvez contrler divers param&egrave;tres relatifs au compte d\'utilisateur, enregistrement et gestion.', 8, 'yes');");
	$db->query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (20, 'Emoticnes cliquables et BB Code', '', 17, 'yes');");
	$db->query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (23, 'Qui est en ligne', '', 13, 'yes');");
	$db->query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (26, 'Forum En-Ligne / Hors-Ligne', 'Ces param&egrave;tres vous permettent de basculer globalement votre forum en-ligne ou hors-ligne, et ventuellement d\'en spcifier la raison.', 1, 'yes');");
	$db->query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (28, 'Prfrences Panneau de Contrle (Global)', '', 19, 'yes');");
	$db->query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (30, 'Param&egrave;tres du Portail', '', 14, 'yes');");

	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'boardclosed', 'Forum ferm', 'Si vous avez devez fermer votre forum pour modifications ou mise  jour, faites-le ici. Les visiteurs ne pourront voir vos forums, cependant, ils verront le message en indiquant la raison ci-dessous.</b>', 'yesno', 'no', 1, 26);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'boardclosed_reason', 'Raison de fermeture du forum', 'Si votre forum est ferm, vous pouvez laisser ici le message que vos visiteurs varront s\'ils viennent sur le forum.', 'textarea', 'Ces forums sont actuellement ferms pour maintenance. Veuillez revenir plus tard.', 2, 26);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'bbname', 'Nom du Forum', 'Le nom de votre forum. Nous vous recommandons de ne pas dpasser 75 caract&egrave;res.', 'text', 'Your Forums', 1, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'bburl', 'URL du Forum', 'L\'url de vos forums.<br />Incluez http://. N\'incluez PAS de slash terminal.', 'text', 'http://', 2, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'homename', 'Nom de la page d\'accueil', 'Le nom de votre page d\'accueil. Le lien sur celle-ci sera insr dans le pied de page.', 'text', 'Your Website', 3, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'homeurl', 'URL de la page d\'accueil', 'L'URL compl&egrave;te de votre page d\'accueil. Le lien sera insr dans le pied de page ainsi que son nom.', 'text', 'http://', 4, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'dateformat', 'Format de date', 'Le format utilis pour indiquer la date d\'enregistrement de l\'utilisateur dans l\'affichage des sujets.', 'text', 'm-d-Y', 1, 3);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'adminemail', 'Email Admin', 'L\'adresse email de l'administrateur. Elle sera utilise pour l'envoi de messages via les forums.', 'text', 'root@localhost', 5, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'timeformat', 'Format d\'heure', 'Le format des heures utilis sur le forum. Ce format utilise la fonction PHP date(). Nous recommandons de ne pas changer ceci sauf si vous &ecirc:tes sr de ce que vous faites.', 'text', 'h:i A', 2, 3);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'threadsperpage', 'Sujets par page', '', 'text', '20', 1, 7);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'hottopic', 'Rponses pour un sujet Hot', 'Le nombre de rponses ncessaires  un sujet pour qu\'il soit considr comme \'hot\'.', 'text', '20', 3, 7);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'cookiedomain', 'Domaine des Cookies', 'Le domaine dans lequel seront placs les cookies. Peut rester vide. Peut aussi commencer par un . ainsi tous les sous-domaines sont couverts.', 'text', '', 8, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'cookiepath', 'Chemin des cookies', 'Le chemin dans lequel seront placs les cookies, nous vous recommandons de mettre le chemin complet sur le rpertoire de vos forums avec un slash terminal.', 'text', '', 9, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'postsperpage', 'Messages par page:', 'Le nombre de messages  afficher par page. Nous vous recommandons de ne pas dpasser 20 pour les gens ayant des connexions lentes.', 'text', '10', 1, 8);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'regdateformat', 'Format date d\'enregistrement', 'Le format utilis pour indiquer la date d\'enregistrement de l\'utilisateur dans l\'affichage des sujets.', 'text', 'M Y', 3, 3);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'sigmycode', 'Autoriser myCode dans les signatures', 'Voulez-vous autoriser l\'utilisation de myCode dans les signatures d\'utilisateurs?', 'yesno', 'yes', 1, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'sigsmilies', 'Autoriser les moticnes dans les signatures', 'Voulez-vous autoriser l\'utilisation des moticnes dans les signatures d\'utilisateurs?', 'yesno', 'yes', 3, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'sightml', 'Autoriser le HTML dans les signatures', 'Voulez-vous autoriser l\'utilisation du HTML dans les signatures d\'utilisateurs?', 'yesno', 'no', 4, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'sigimgcode', 'Autoriser le code [img] dans les signatures', 'Voulez-vous autoriser l\'utilisation du code [img] dans les signatures d\'utilisateurs?', 'yesno', 'yes', 5, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'threadusenetstyle', 'Visualiser les sujets style Usenet', 'Si vous choisissez oui, les messages auront un aspect similaire  ceux de USENET. Non donnera aux messages le style moderne.', 'yesno', 'no', 4, 8);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pmsallowhtml', 'Autoriser le HTML', 'Si vous choisissez oui, le HTML peut &ecirc:tre utilis dans les messages privs.', 'yesno', 'no', 1, 11);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pmsallowmycode', 'Autoriser MyCode', 'Si vous choisissez oui, MyCode peut &ecirc:tre utilis dans les messages privs.', 'yesno', 'yes', 2, 11);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pmsallowsmilies', 'Autoriser les emoticnes', 'Si vous choisissez oui, les emoticnes pourront &ecirc:tre utiliss dans les messages privs.', 'yesno', 'yes', 3, 11);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pmsallowimgcode', 'Autoriser le code [img]', 'Si vous choisissez oui, les codes [img] pourront &ecirc:tre utiliss dans les messages privs.', 'yesno', 'yes', 4, 11);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'siglength', 'Limite de longueur des signatures', 'Le nombre maximum de caract&egrave;res qu\'un utilisateur peut mettre dans une signature.', 'text', '255', 6, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'messagelength', 'Longueur maximale du message', 'Le nombre maximum de caract&egrave;res autoriss dans un message. Si vous mettez  0, la longueur est illimite.', 'text', '0', 1, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'membersperpage', 'Membres par page', 'Le nombre de membres  afficher par page dans la liste des membres.', 'text', '20', 1, 12);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'load', 'Limitation Charge *NIX', 'Limite le maximum de charge du serveur avant que myBB ne rejette les visiteurs. 0 pour aucune. La limite recommande est 5.0.', 'text', '0', 5, 27);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'emailkeep', 'Garder email utilisateurs', 'Si un utilisateur a un email dj enregistr dans votre liste de bannis, il peut &ecirc:tre autoris  le garder.', 'yesno', 'no', 4, 14);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'ipban', 'Bannir par IP', 'Ici, vous pouvez spcifier des adresses IP ou une plage d\'adressess IP. Vous pouvez sparer chaque IP par une virgule.', 'textarea', '', 2, 14);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'emailban', 'Bannir par Email', 'Vous pouvez spcifier des adresses email spcifiques  bannir, ou vous pouvez spcifier un domaine. Vous devez sparer les adresses email et les domaines par un espace.', 'textarea', '', 3, 14);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'avatarsize', 'Taille maximum de l\'Avatar upload', 'Taille maximum du fichier (en kilooctets) des avatars uploads.', 'text', '10', 8, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'avatardir', 'Dossier des Avatars', 'Le dossier o vos avatars sont stocks. Ceci est utilis dans la liste des avatars du CP Utilisateur.', 'text', 'images/avatars', 7, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showeditedby', 'Afficher le message \'dit par\'', 'Quand un message est modifi par un utilisateur rgulier, voulez-vous afficher le message \'dit par\'?', 'yesno', 'yes', 6, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxposts', 'Messages maximum par jour', 'Le nombre total de messages autoriss par utilisateur et par jour. 0 pour illimit.', 'text', '0', 2, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showeditedbyadmin', 'Afficher les messages \'dit par\' pour l'Equipe du Forum', 'Voulez-vous afficher le message \'dit par\' pour l'quipe du forum quand ils ditent leurs propres posts?', 'yesno', 'yes', 7, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'bannedusernames', 'Bannir Nom d\'Utilisateurs', 'Bannir des utilisateurs en enregistrant certains noms. Sparez-les par un espace.', 'textarea', '', 1, 14);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxpolloptions', 'Nombre maximum d\'options de sondage', 'Le nombre maximum d\'options pour les sondages que les utilisateurs peuvent poster.', 'text', '10', 3, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'dotfolders', 'Utiliser les icnes \'point\'', 'Voulez-vous afficher des points sur les indicateurs de sujets auxquels les utilisateurs ont particip.', 'yesno', 'yes', 8, 7);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'contactlink', 'Lien Nous contacter', 'Ceci sera utilis pour le lien \'Nous contacter_' au pied de toutes les pages des forums. Ce peut &ecirc:tre une adresse (utilisant mailto:email@website.com) ou un hyperlien.', 'text', '#', 6, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showdescriptions', 'Afficher descriptions Forum?', 'Cette option vous permet de dsactiver l\'affichage des descriptions pour les forums.', 'yesno', 'yes', 1, 16);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showbirthdays', 'Afficher les anniversaires du jour?', 'Voulez-vous afficher les anniversaires du jour sur la page d\'accueil du forum?', 'yesno', 'yes', 2, 16);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showwol', 'Afficher qui est en ligne?', 'Afficher les utilisateurs actuellement actifs sur la la page d'accueil du forum.', 'yesno', 'yes', 4, 16);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'hideprivateforums', 'Cacher les forums privs?', 'Vous pouvez cacher des forums privs en activant cette option. Cette option cache aussi les forums dans les liens sur les forums et tous les sous-forums.', 'yesno', 'yes', 3, 16);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showsimilarthreads', 'Afficher le tableau des \'Sujets Similaires\'', 'Le tableau des sujets similaires affiche les sujets qui ont un rapport avec le sujet actuellement lu. Vous pouvez dterminer la pertinence du rapport ci-dessous.', 'yesno', 'no', 5, 8);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'similarityrating', 'Pertinence de rapport de sujets similaires', 'Ceci vous permet de limiter les sujets similaires  ceux ayant le plus de rapport (0 tant sans rapport). Ce nombre ne doit pas dpasser 10 et ne doit pas &ecirc:tre trop petit (<5) pour de gros forums.', 'text', '1', 7, 8);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'similarlimit', 'Limite de sujets similaires', 'Ici vous pouvez modifier le nombre total de sujets similaires  afficher dans le tableau des sujets similaires. Il est recommand de ne pas dpasser 15 pour les utilisateurs en 56k.', 'text', '10', 8, 8);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'privateeventcolor', 'Couleur des vnements privs', 'La couleur que prendront les vnements privs sur la page principale du calendrier.', 'text', 'red', 2, 17);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'publiceventcolor', 'Couleur des vnements publics', 'La couleur que prendront les vnements publics sur la page principale du calendrier.', 'text', 'green', 1, 17);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'hottopicviews', 'Affichages pour un sujet Hot', 'Le nombre d'affichages ncessaires  un sujet pout qu'il soit considr comme \'hot\'.', 'text', '150', 7, 7);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'logip', 'Journal des adresses IP des posteurs', 'Voulez-vous tablir un journal des addresses ip des utilisateurs qui postent, et qui acceptent aussi de montrer leurs adresses ip.', 'radio\r\nno=Pas de journal des IP\r\nhide=Afficher aux Admins & Mods\r\nshow=Afficher  tous les utilisateurs', 'hide', 3, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'statslimit', 'Limite des statistiques', 'Le nombre de sujets  afficher dans la page statistiques pour les records de rponses et d\'affichages.', 'text', '15', 10, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'modlist', 'Liste des modrateurs des Forums', 'Ici vous pouvez activer ou dsactiver la liste des modrateurs pour chaque forum de index.php et de forumdisplay.php', 'onoff', 'on', 5, 16);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'smilieinserter', 'Insertion d\'moticnes cliquables', 'Les moticnes cliquables apparatront dans les pages d\'envoi de message si cette option est mise sur \'on\'.', 'onoff', 'on', 1, 20);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'smilieinsertertot', 'Nb. d\'moticnes  afficher', 'Entrez le nombre total d\'moticnes  afficher dans le panneau d\'insertion d\'moticnes.', 'text', '20', 2, 20);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'smilieinsertercols', 'Nb. de colonnes d\'moticnes  afficher', 'Entrez le nombre de colonnes que vous voulez afficher dans le panneau d\'insertion d\'moticnes.', 'text', '4', 3, 20);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showindexstats', 'Afficher la section des petites statistiques', 'Voulez-vous afficher le nombre total de sujets, de messages, de membres, et le dernier membre sur l\'accueil du forum?', 'yesno', 'yes', 6, 16);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'regtype', 'Mthode d\'enregistrement', 'Veuillez slectionner la mthode  utiliser quand les utilisateurs s\'enregistrent.', 'select\r\ninstant=Activation immdiate\r\nverify=Vrification par envoi d'email\r\nrandompass=Envoyer un mot de passe alatoire\r\nadmin=Administrator Activation', 'verify', 1, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'userpppoptions', 'Choix du nombre de messages par page', 'Si vous voulez que les utilisateurs puissent slectionner le nombre de messages  afficher par page dans un sujet, entrez les options qu\'ils pourront choisir, spares par des virgules. Si ce champ est laiss vide, ils ne pourront choisir le nombre de messages par page.', 'text', '5,10,20,25,30,40,50', 2, 8);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'usertppoptions', 'Nombre de sujets slectionnable par page', Si vous voulez autoriser les utilisateurs  choisir le nombre de sujets  afficher par page dans un forum, entrez les options qu\'ils pourront slectionner spares par des virgules. Si vous laissez ce champ vide, le choix du nombre de sujets par page ne sera pas accessible.', 'text', '10,20,25,30,40,50', 6, 7);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'wolcutoffmins', 'Dlai de coupure (minutes)', 'Le nombre de minutes avant qu\'un utilisateur soit marqu hors-ligne. Recommand: 15.', 'text', '15', 1, 23);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'postfloodcheck', 'Vrification du Flood', 'Mettez  on si vous voulez activer la vrification du flood pour les messages. Spcifiez ci-dessous l\'intervalle de temps entre les messages.', 'onoff', 'on', 4, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'postfloodsecs', 'Dlai du Flood', 'Indiquez le temps (en secondes) d\'attente des utilisateurs entre deux messages. Pour prendre effet, l'option ci-dessus doit &ecirc:tre sur on.', 'text', '60', 5, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'gzipoutput', 'Utiliser la compression GZip des pages?', 'Voulez-vous compresser les pages au format GZip quand elles sont envoyes au navigateur? Ceci entrane des tlchargements plus rapides pour vos visiteurs, et un trafic moindre pour vous.', 'yesno', 'yes', 1, 27);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'standardheaders', 'Envoyer des ent&ecirc:tes standard', 'Avec certains serveurs web, cette option peut causer des probl&egrave;mes, avec d\'autres, elle est ncessaire. ', 'yesno', 'no', 2, 27);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'nocacheheaders', 'Envoyer des ent&ecirc:tes sans cache', 'Avec cette option vous pouvez emp&ecirc:cher la mise en cache de la page par le navigateur.', 'yesno', 'no', 3, 27);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxpostimages', 'Images maximum par message', 'Entrez le nombre maximum d\'images (incluant les moticnes) qu\'un utilisateur peut mettre dans son message. Mettez  0 pour dsactiver ceci.', 'text', '10', 8, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxsigimages', 'Nombre maximum d\'images par signature', 'Entrez le nombre maximum d\'images (incluant les moticnes) qu\'un utilisateur peut mettre dans sa signature. Mettez  0 pour dsactiver enti&egrave;rement les images dans les signatures.', 'text', '2', 2, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'browsingthisforum', 'Utilisateurs parcourant ce Forum', 'Ici vous pouvez dsactiver la fonctionnalit \'utilisateurs parcourant ce forum\'.', 'onoff', 'on', 9, 7);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'usereferrals', 'Utiliser le syst&egrave;me Referrals', 'Voulez-vous utiliser le syst&egrave;me referrals d\'utilisateur dans ces forums?', 'yesno', 'yes', 3, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'subscribeexcerpt', 'Nombre ce caract&egrave;res pour Notificaton de rponse', 'Combien de caract&egrave;res du message voulez-vous envoyer avec la notification email d\'une nouvelle rponse.', 'text', '100', 9, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'cpstyle', 'Style du Panneau de Contrle', 'Le style par dfaut utilis par le Panneau de Contrle. Les styles sont dans le dossier styles. Un nom de dossier dans ce dossier devient le titre du style et style.css dans le dossier du titre de style est le fichier style css.', 'cpstyle', 'Axiom', 2, 28);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'cplanguage', 'Langue du Panneau de Contrle', 'La langue du Panneau de Contrle.', 'adminlanguage', 'english', 1, 28);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'minnamelength', 'Longueur minimum du Nom d\'utilisateur', 'Le nombre minimum de caract&egrave;res du nom qu\'un utilisateur peut utiliser pour s\'enregistrer.', 'text', '3', 5, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxnamelength', 'Longueur maximum Nom d\'utilisateur', 'Le nombre maximum de caract&egrave;res du nom qu\'un utilisateur peut utiliser pour s\'enregistrer.', 'text', '30', 6, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'redirects', 'Redirection commente des pages', 'Ceci active la redirection commente des pages au lieu d\'envoyer directement l\'utilisateur sur la page.', 'onoff', 'on', 4, 27);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'betweenregstime', 'Intervalle de temps entre enregistrements', 'L\'intervalle de temps (en heures) pour interdire l\'enregistrement  des utilisateurs qui ont dj enregistr un compte avec la m&ecirc:me adresse ip.', 'text', '24', 2, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxregsbetweentime', 'Maximum d\'enregistrements par adresse IP', 'Cette option vous permet de fixer le nombre maximum de fois qu\'un utilisateur donn peut s'enregistrer dans l\'intervalle de temps spcifi ci-dessus.', 'text', '2', 4, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showstats', 'Afficher les statistiques du forum', 'Voulez-vous afficher le nombre total de messages, sujets, membres et le dernier membre enregistr sur la page du portail?', 'yesno', 'yes', 5, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showpms', 'Afficher le nombre de MPs des utilisateurs', 'Voulez-vous afficher le nombre de messages privs que l\'utilisateur actuel a dans son syst&egrave;me pm.', 'yesno', 'yes', 4, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showwelcome', 'Afficher la bote de bienvenue', 'Voulez-vous afficher la bote de bienvenue aux visiteurs / utilisateurs.', 'yesno', 'yes', 3, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_numannouncements', 'Nombre d\'annonces  afficher', 'Veuillez entrer le nombre d\'annonces  afficher dans la page principale.', 'text', '10', 2, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showstats', 'Afficher les statistiques du forum', 'Voulez-vous afficher le nombre total de messages, sujets, membres et le dernier membre enregistr sur la page du portail?', 'yesno', 'yes', 5, 29);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showwol', 'Afficher qui est en ligne', 'Do you want to show the ''whos online'' information to users when they visit the portal page?', 'yesno', 'yes', 6, 29);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_announcementsfid', 'ID du Forum pour rcuprer les annonces', 'Veuillez entrer les ids de forum (fid) du(des) forum(s) d\'o vous voulez rcuprer les annonces. Sparez-les par une virgule (,)', 'text', '1', 1, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showdiscussionsnum', 'Nombre de derni&egrave;res discussions  afficher', 'Veuillez entrer le nombre de discussions du forum actuel  afficher sur la page du portail.', 'text', '10', 8, 29);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showwol', 'Afficher qui est en ligne', 'Voulez-vous afficher l\'information \'Qui est en ligne\' aux utilisateurs visitant la page du portail?', 'yesno', 'yes', 6, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showsearch', 'Afficher la bote de recherche', 'Voulez-vous afficher la bote de recherche, permettant aux utilisateurs de rechercher rapidement dans le forum sur la page du portail?', 'yesno', 'yes', 7, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showdiscussions', 'Afficher les derni&egrave;res discussions', 'Voulez-vous afficher les discussions actuelles du forum sur la page du portail?', 'yesno', 'yes', 8, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showdiscussionsnum', 'Nombre de derni&egrave;res discussions  afficher', 'Veuillez entrer le nombre de discussions du forum actuel  afficher sur la page du portail.', 'text', '10', 9, 30);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'attachthumbh', 'Hauteur maximum pour les miniatures de pi&egrave;ces jointes', 'Enter the height that attached thumbnails should be generated at.', 'text', '60', 12, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'attachthumbw', 'Largeur maximum pour les miniatures de pi&egrave;ces jointes', 'Entrez la largeur maximale de gnration des miniatures.', 'text', '60', 13, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxattachments', 'Maximum de pi&egrave;ces jointes par message', 'Le nombre maximum de pi&egrave;ces jointes qu\'un utilisateur est autoris  uploader par message.', 'text', '5', 10, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'attachthumbnails', 'Afficher les miniatures de pi&egrave;ces jointes dans les messages', 'Voulez-vous afficher les miniatures gnres pour les images jointes dans les messages?', 'yesno', 'yes', 11, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'polloptionlimit', 'Longueur maximum de l\'option Sondage', 'La longueur maximum que chaque option de sondage peut avoir. (Mettez  0 pour dsactiver).', 'text', '250', 1, 13);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'timezoneoffset', 'Fuseau horaire par dfaut', 'Vous pouvez ici dterminer le fuseau horaire par dfaut pour les invits et les membres utilisant le fuseau par dfaut.', 'text', '+10', 4, 3);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'bblanguage', 'Langue par dfaut', 'La langue par dfaut que MyBB devra utiliser pour les invits et pour les utilisateurs sans langue slectionne dans leur panneau de contrle..', 'language', 'english', 7, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'regimage', 'Image d\'enregistrement Antispam', 'Si oui, et que GD est install, une image sera affiche pendant l'enregistrement et les utilisateurs doivent entrer le texte contenu dans l'image pour poursuivre l'enregistrement.', 'onoff', 'on', 1, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'reportmethod', 'Media des messages signals', 'Veuillez slectionner dans la liste comment vous voulez que les messages signals soient distribus. Le stockage dans la base de donnes est probablement la meilleure des options listes.', 'radio\r\ndb=Stock dans la Base de donnes\r\npms=Envoy comme message priv\r\nemail=Envoy par Email', 'db', 1, 1);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'threadreadcut', 'Lire les sujets dans la base de donnes (Jours)', 'Le nombre de jours pendant lesquels vous voulez conserver l'information de lecture de sujet dans la base de donnes. Pour de gros forums, nous ne vous recommandons pas un grand nombre sinon le forum deviendra plus lent. Mettez  0 pour dsactiver.', 'text', '7', 3, 8);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'announcementlimit', 'Limite d'annonces', 'Le nombre d'annonces de forum  afficher dans la liste des sujets sur les pages du forum. Mettez  0 pour dsactiver entirement les annonces.', 'text', '2', 10, 7);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'uploadspath', 'Chemin de l'upload', 'Le chemin utilis pour tous les uploads du forum. Il <b>doit tre chmod 777</b> (sur les serveurs Unix).', 'text', './uploads', 1, 27);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxavatardims', 'Maximum Avatar Dimensions', 'The maximum dimensions that an avatar can be, in the format of width<b>x</b>height. If this is left blank then there will be no dimension restriction.', 'text', '10x10', 1, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'avataruploadpath', 'Avatar Upload Path', 'This is the path where custom avatars will be uploaded to. This directory <b>must be chmod 777</b> (writable) for uploads to work.', 'text', './uploads/avatars', 1, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'subforumsindex', 'Sous-forums  afficher dans la liste de l'index', 'Le nombre de sous-forums que vous voulez afficher dans les forums sur l'index et les pages forumdisplay. Mettez  0 pour ne pas afficher la liste des sous-forums', 'text', '2', 1, 16);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'disableregs', 'Dsactiver les enregistrements', 'Vous permet de dsactiver la possibilit pour les utilisateurs de s'enregistrer.', 'yesno', 'no', 9, 19);");
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'decpoint', 'Symbole dcimal', 'Le symbole dcimal que vous utilisez dans votre pays..', 'text', '.', 1, 1);");  
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'thousandssep', 'Sparateur numrique des milliers', 'Le signe de ponctuation  utiliser. (par exemple, l'option ',' avec le nombre 1200 donnera 1,200', 'text', ',', 1, 1);");  
	$db->query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showvernum', 'Permet de dsactiver l'affichage public des numros de version dans MyBB.', 'onoff', 'off', 1, 1);");
	
	echo "Termin&eacute;</p>";
	$output->print_contents($contents);
	$output->print_footer("3_dbchanges3");
}

function upgrade3_dbchanges3()
{
	global $db, $output;

	$output->print_header("Changement des tailles des champs dans la Base de donn&eaute;");

	$contents = "<p>Ex&eacute;cution des changements des tailles des champs de la Base de donn&eacute;es n&eacute;cessaires.</p>";

	$db->query("ALTER TABLE ".TABLE_PREFIX."adminlog CHANGE uid uid int unsigned NOT NULL;");
	
	$db->query("ALTER TABLE ".TABLE_PREFIX."adminoptions CHANGE uid uid int(10) NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."announcements CHANGE aid aid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."announcements CHANGE fid fid int(10) NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."announcements CHANGE uid uid int unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."attachments CHANGE aid aid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."attachments CHANGE uid uid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."attachments CHANGE visible visible int(1) NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."attachments CHANGE downloads downloads int unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."attachtypes CHANGE atid atid int unsigned NOT NULL auto_increment;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."awaitingactivation CHANGE aid aid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."awaitingactivation CHANGE uid uid int unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."badwords CHANGE bid bid int unsigned NOT NULL auto_increment;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."banned CHANGE uid uid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."banned CHANGE gid gid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."banned CHANGE oldgroup oldgroup int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."banned CHANGE admin admin int unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."events CHANGE eid eid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."events CHANGE author author int unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."favorites CHANGE fid fid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."favorites CHANGE uid uid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."favorites CHANGE tid tid int unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."forumpermissions CHANGE pid pid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."forumpermissions CHANGE fid fid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."forumpermissions CHANGE gid gid int unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."forums CHANGE fid fid smallint unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."forums CHANGE pid pid smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."forums CHANGE disporder disporder smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."forums CHANGE threads threads int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."forums CHANGE posts posts int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."forums CHANGE style style smallint unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."forumsubscriptions CHANGE fsid fsid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."forumsubscriptions CHANGE fid fid smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."forumsubscriptions CHANGE uid uid int unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."groupleaders CHANGE lid lid smallint unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."groupleaders CHANGE gid gid smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."groupleaders CHANGE uid uid int unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."helpdocs CHANGE hid hid smallint unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."helpdocs CHANGE sid sid smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."helpdocs CHANGE disporder disporder smallint unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."helpsections CHANGE sid sid smallint unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."helpsections CHANGE disporder disporder smallint unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."icons CHANGE iid iid smallint unsigned NOT NULL auto_increment;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."joinrequests CHANGE rid rid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."joinrequests CHANGE uid uid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."joinrequests CHANGE gid gid smallint unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."moderatorlog CHANGE uid uid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."moderatorlog CHANGE fid fid smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."moderatorlog CHANGE tid tid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."moderatorlog CHANGE pid pid int unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."moderators CHANGE mid mid smallint unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."moderators CHANGE fid fid smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."moderators CHANGE uid uid int unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."polls CHANGE pid pid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."polls CHANGE tid tid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."polls CHANGE numoptions numoptions smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."polls CHANGE numvotes numvotes smallint unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."pollvotes CHANGE vid vid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."pollvotes CHANGE pid pid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."pollvotes CHANGE uid uid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."pollvotes CHANGE voteoption voteoption smallint unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."posts CHANGE pid pid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."posts CHANGE tid tid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."posts CHANGE replyto replyto int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."posts CHANGE fid fid smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."posts CHANGE icon icon smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."posts CHANGE uid uid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."posts CHANGE edituid edituid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."posts CHANGE visible visible int(1) NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."privatemessages CHANGE pmid pmid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."privatemessages CHANGE uid uid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."privatemessages CHANGE toid toid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."privatemessages CHANGE fromid fromid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."privatemessages CHANGE folder folder smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."privatemessages CHANGE icon icon smallint unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."profilefields CHANGE fid fid smallint unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."profilefields CHANGE disporder disporder smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."profilefields CHANGE length length smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."profilefields CHANGE maxlength maxlength smallint unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."reportedposts CHANGE rid rid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."reportedposts CHANGE pid pid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."reportedposts CHANGE tid tid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."reportedposts CHANGE fid fid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."reportedposts CHANGE uid uid int unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."reputation CHANGE uid uid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."reputation CHANGE pid pid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."reputation CHANGE adduid adduid int unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."searchlog CHANGE sid sid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."searchlog CHANGE uid uid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."searchlog CHANGE limitto limitto smallint(4) NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."settinggroups CHANGE gid gid smallint unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."settinggroups CHANGE disporder disporder smallint unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."settings CHANGE sid sid smallint unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."settings CHANGE disporder disporder smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."settings CHANGE gid gid smallint unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."smilies CHANGE sid sid smallint unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."smilies CHANGE disporder disporder smallint unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."templates CHANGE tid tid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."templates CHANGE sid sid int(10) NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."templatesets CHANGE sid sid smallint unsigned NOT NULL auto_increment;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."themes CHANGE tid tid smallint unsigned NOT NULL auto_increment;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."threadratings CHANGE rid rid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."threadratings CHANGE tid tid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."threadratings CHANGE uid uid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."threadratings CHANGE rating rating smallint unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE tid tid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE fid fid smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE icon icon smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE poll poll int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE uid uid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE replies replies int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE views views int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE sticky sticky int(1) NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE numratings numratings smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE totalratings totalratings smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE visible visible int(1) NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."threadsread CHANGE tid tid int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."threadsread CHANGE uid uid int unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."userfields CHANGE ufid ufid int unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."usergroups CHANGE gid gid smallint unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."usergroups CHANGE stars stars smallint(4) NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."users CHANGE uid uid int unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."users CHANGE usergroup usergroup smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."users CHANGE displaygroup displaygroup smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."users CHANGE style style smallint unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."users CHANGE referrer referrer int unsigned NOT NULL;");

	$db->query("ALTER TABLE ".TABLE_PREFIX."usertitles CHANGE utid utid smallint unsigned NOT NULL auto_increment;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."usertitles CHANGE posts posts int unsigned NOT NULL;");
	$db->query("ALTER TABLE ".TABLE_PREFIX."usertitles CHANGE stars stars smallint(4) NOT NULL;");

	echo "Termin&eacute;</p>";
	
	$contents .= "<span style=\"color: red; font-weight: bold;\">ATTENTION:</span> L'&acute;tape suivante effacera tous les th&egrave;mes et templates personnalis&eacute;s que vous avez ! Veuillez les sauvegarder avant de continuer!</p>";
	$output->print_contents($contents);
	$output->print_footer("3_done");
}

?>
