<?php
/**
 * MyBB 1.2
 * Copyright  2006 MyBB Group, All Rights Reserved
 *
 * Website: http://www.mybboard.net
 * License: http://www.mybboard.net/eula.html
 *
 * $Id: upgrade5.php 3942 2008-06-23 04:25:21Z Tikitiki $
 */

/**
 * Upgrade Script: 1.0.x / 1.1.x
 */


$upgrade_detail = array(
	"revert_all_templates" => 1,
	"revert_all_themes" => 1,
	"revert_all_settings" => 2
	);

@set_time_limit(0);

function upgrade5_dbchanges()
{
	global $db, $output, $mybb;

	$output->print_header("Ex&eacute;cution des requ&ecirc;tes");

	echo "<p>Ex&eacute;cution des requ&ecirc;tes n&eacute;cessaires &agrave; la mise &agrave; jour...</p>";
	
	$db->query("ALTER TABLE ".TABLE_PREFIX."users CHANGE avatartype avatartype varchar(10) NOT NULL;");
	if(!$db->field_exists('totalpms', TABLE_PREFIX."users"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."users ADD totalpms int(10) NOT NULL default '0' AFTER showcodebuttons;");
	}
	
	if(!$db->field_exists('newpms', TABLE_PREFIX."users"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."users ADD newpms int(10) NOT NULL default '0' AFTER totalpms;");
	}
	
	if(!$db->field_exists('unreadpms', TABLE_PREFIX."users"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."users ADD unreadpms int(10) NOT NULL default '0' AFTER newpms;");
	}
	
	if(!$db->field_exists('showredirect', TABLE_PREFIX."users"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."users ADD showredirect char(3) NOT NULL default '' AFTER showquickreply;");
	}
	
	if(!$db->field_exists('avatardimensions', TABLE_PREFIX."users"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."users ADD avatardimensions varchar(10) NOT NULL default '' AFTER avatar;");
	}
	
	if(!$db->field_exists('unapprovedposts', TABLE_PREFIX."threads"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."threads ADD unapprovedposts INT(10) unsigned NOT NULL default '0' AFTER visible;");
	}
	
	if(!$db->field_exists('unapprovedthreads', TABLE_PREFIX."forums"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."forums ADD unapprovedthreads INT(10) unsigned NOT NULL default '0' AFTER rules;");
	}
	
	if(!$db->field_exists('unapprovedposts', TABLE_PREFIX."forums"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."forums ADD unapprovedposts INT(10) unsigned NOT NULL default '0' AFTER rules;");
	}
	
	if(!$db->field_exists('defaultdatecut', TABLE_PREFIX."forums"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."forums ADD defaultdatecut smallint(4) unsigned NOT NULL default '0' AFTER unapprovedposts;");
	}
	
	if(!$db->field_exists('defaultsortby', TABLE_PREFIX."forums"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."forums ADD defaultsortby varchar(10) NOT NULL default '' AFTER defaultdatecut;");
	}
	
	if(!$db->field_exists('defaultsortorder', TABLE_PREFIX."forums"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."forums ADD defaultsortorder varchar(4) NOT NULL default '' AFTER defaultsortby;");
	}
	
	if(!$db->field_exists('lastposteruid', TABLE_PREFIX."forums"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."forums ADD lastposteruid int(10) unsigned NOT NULL default '0' AFTER lastposter;");
	}
	
	if(!$db->field_exists('lastpostsubject', TABLE_PREFIX."forums"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."forums ADD lastpostsubject varchar(120) NOT NULL default '' AFTER lastposttid");
	}
	
	if(!$db->field_exists('lastposteruid', TABLE_PREFIX."threads"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."threads ADD lastposteruid int unsigned NOT NULL default '0' AFTER lastposter");
	}
	
	if(!$db->field_exists('canmanagemembers', TABLE_PREFIX."groupleaders"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."groupleaders ADD canmanagemembers char(3) NOT NULL default '' AFTER uid;");
	}
	
	if(!$db->field_exists('canmanagerequests', TABLE_PREFIX."groupleaders"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."groupleaders ADD canmanagerequests char(3) NOT NULL default '' AFTER canmanagemembers;");
	}
	
	if(!$db->field_exists('caneditlangs', TABLE_PREFIX."adminoptions"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."adminoptions ADD caneditlangs char(3) NOT NULL default '' AFTER canedithelp;");
	}
	
	if(!$db->field_exists('canrundbtools', TABLE_PREFIX."adminoptions"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."adminoptions ADD canrundbtools char(3) NOT NULL default ''");
	}
	
	if(!$db->field_exists('allowedgroups', TABLE_PREFIX."themes"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."themes ADD allowedgroups text NOT NULL AFTER extracss;");
	}
	
	if(!$db->field_exists('canmovetononmodforum', TABLE_PREFIX."moderators"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."moderators ADD canmovetononmodforum char(3) NOT NULL default '' AFTER canmanagethreads;");
	}
	
	if(!$db->field_exists('csscached', TABLE_PREFIX."themes"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."themes ADD csscached bigint(30) NOT NULL default '0'");
	}
	
	$db->query("UPDATE ".TABLE_PREFIX."adminoptions SET caneditlangs='yes' WHERE canrunmaint='yes'");
	$db->query("UPDATE ".TABLE_PREFIX."adminoptions SET caneditlangs='no' WHERE canrunmaint='no'");
	$db->query("UPDATE ".TABLE_PREFIX."adminoptions SET canrundbtools='yes' WHERE canrunmaint='yes'");
	$db->query("UPDATE ".TABLE_PREFIX."adminoptions SET canrundbtools='no' WHERE canrunmaint='no'");
	$db->query("UPDATE ".TABLE_PREFIX."settings SET optionscode='select\r\ninstant=Activation immdiate\r\nverify=Vrification par envoi d'email\r\nrandompass=Envoyer un mot de passe alatoire\r\nadmin=Administrator Activation' WHERE name = 'regtype'");
	$db->query("UPDATE ".TABLE_PREFIX."users SET totalpms='-1', newpms='-1', unreadpms='-1'");
	$db->query("UPDATE ".TABLE_PREFIX."settings SET name='maxmessagelength' WHERE name='messagelength'");

	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."mycode");
	$db->query("CREATE TABLE ".TABLE_PREFIX."mycode (
		    cid int unsigned NOT NULL auto_increment,
		    title varchar(100) NOT NULL default '',
		    description text NOT NULL,
		    regex text NOT NULL,
		    replacement text NOT NULL,
		    active char(3) NOT NULL default '',
			PRIMARY KEY(cid)
		) TYPE=MyISAM;");

	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."templategroups");
	$db->query("CREATE TABLE ".TABLE_PREFIX."templategroups (
			gid int unsigned NOT NULL auto_increment,
			prefix varchar(50) NOT NULL default '',
			title varchar(100) NOT NULL default '',
			PRIMARY KEY (gid)
			) TYPE=MyISAM;");

	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('1','calendar','<lang:group_calendar>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('2','editpost','<lang:group_editpost>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('3','email','<lang:group_email>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('4','emailsubject','<lang:group_emailsubject>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('5','forumbit','<lang:group_forumbit>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('6','forumjump','<lang:group_forumjump>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('7','forumdisplay','<lang:group_forumdisplay>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('8','index','<lang:group_index>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('9','error','<lang:group_error>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('10','memberlist','<lang:group_memberlist>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('11','multipage','<lang:group_multipage>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('12','private','<lang:group_private>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('13','portal','<lang:group_portal>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('14','postbit','<lang:group_postbit>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('15','redirect','<lang:group_redirect>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('16','showthread','<lang:group_showthread>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('17','usercp','<lang:group_usercp>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('18','online','<lang:group_online>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('19','moderation','<lang:group_moderation>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('20','nav','<lang:group_nav>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('21','search','<lang:group_search>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('22','showteam','<lang:group_showteam>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('23','reputation','<lang:group_reputation>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('24','newthread','<lang:group_newthread>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('25','newreply','<lang:group_newreply>');");
	$db->query("INSERT INTO ".TABLE_PREFIX."templategroups (gid,prefix,title) VALUES ('26','member','<lang:group_member>');");

	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."searchlog");
	$db->query("CREATE TABLE ".TABLE_PREFIX."searchlog (
		  sid varchar(32) NOT NULL default '',
		  uid int unsigned NOT NULL default '0',
		  dateline bigint(30) NOT NULL default '0',
		  ipaddress varchar(120) NOT NULL default '',
		  threads text NOT NULL,
		  posts text NOT NULL,
		  searchtype varchar(10) NOT NULL default '',
		  resulttype varchar(10) NOT NULL default '',
		  querycache text NOT NULL,
		  PRIMARY KEY  (sid)
		) TYPE=MyISAM;");

	$db->query("UPDATE ".TABLE_PREFIX."settings SET name='bannedemails' WHERE name='emailban' LIMIT 1");
	$db->query("UPDATE ".TABLE_PREFIX."settings SET name='bannedips' WHERE name='ipban' LIMIT 1");

	$query = $db->query("SELECT value FROM ".TABLE_PREFIX."settings WHERE name='bannedusernames'");
	$bannedusernames = $db->fetch_field($query, 'sid');
	$bannedusernames = explode(" ", $bannedusernames);
	$bannedusernames = implode(",", $bannedusernames);
	$query = $db->query("UPDATE ".TABLE_PREFIX."settings SET value='".$db->escape_string($bannedusernames)."' WHERE name='bannedusernames'");

	$query = $db->query("SELECT value FROM ".TABLE_PREFIX."settings WHERE name='bannedemails'");
	$bannedemails = $db->fetch_field($query, 'sid');
	$bannedemails = explode(" ", $bannedemails);
	$bannedemails = implode(",", $bannedemails);
	$query = $db->query("UPDATE ".TABLE_PREFIX."settings SET value='".$db->escape_string($bannedemails)."' WHERE name='bannedemails'");

	$query = $db->query("SELECT value FROM ".TABLE_PREFIX."settings WHERE name='bannedips'");
	$bannedips = $db->fetch_field($query, 'sid');
	$bannedips = explode(" ", $bannedips);
	$bannedips = implode(",", $bannedips);
	$db->query("UPDATE ".TABLE_PREFIX."settings SET value='".$db->escape_string($bannedips)."' WHERE name='bannedips'");

	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."reputation");

	$db->query("CREATE TABLE ".TABLE_PREFIX."reputation (
	  rid int unsigned NOT NULL auto_increment,
	  uid int unsigned NOT NULL default '0',
	  adduid int unsigned NOT NULL default '0',
	  reputation bigint(30) NOT NULL default '0',
	  dateline bigint(30) NOT NULL default '0',
	  comments text NOT NULL,
      PRIMARY KEY(rid)
	) TYPE=MyISAM;");

	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."mailqueue");
	$db->query("CREATE TABLE ".TABLE_PREFIX."mailqueue (
		mid int unsigned NOT NULL auto_increment,
		mailto varchar(200) NOT NULL,
		mailfrom varchar(200) NOT NULL,
		subject varchar(200) NOT NULL,
		message text NOT NULL,
		headers text NOT NULL,
		PRIMARY KEY(mid)
	) TYPE=MyISAM;");

	$db->query("UPDATE ".TABLE_PREFIX."users SET reputation='0'");

	$db->query("UPDATE ".TABLE_PREFIX."usergroups SET reputationpower='1'");
	$db->query("UPDATE ".TABLE_PREFIX."usergroups SET reputationpower='2' WHERE cancp='yes'");

	if($db->field_exists('rating', TABLE_PREFIX."users"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."users DROP rating;");
	}
	
	if(!$db->field_exists('attachmentcount', TABLE_PREFIX."threads"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."threads ADD attachmentcount int(10) unsigned NOT NULL default '0'");
	}
	
	if(!$db->field_exists('posthash', TABLE_PREFIX."posts"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."posts ADD posthash varchar(32) NOT NULL default '' AFTER visible");
	}
	
	$db->query("ALTER TABLE ".TABLE_PREFIX."attachtypes CHANGE extension extension varchar(10) NOT NULL;");
	
	if(!$db->field_exists('deletetime', TABLE_PREFIX."threads"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."threads ADD deletetime int(10) unsigned NOT NULL default '0' AFTER attachmentcount");
	}
	
	if(!$db->field_exists('loginattempts', TABLE_PREFIX."sessions"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."sessions ADD loginattempts tinyint(2) NOT NULL default '1'");
	}
	
	if(!$db->field_exists('failedlogin', TABLE_PREFIX."sessions"))
	{
  		$db->query("ALTER TABLE ".TABLE_PREFIX."sessions ADD failedlogin bigint(30) NOT NULL default '0'");
	}
	
	if(!$db->field_exists('canviewthreads', TABLE_PREFIX."usergroups"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."usergroups ADD canviewthreads char(3) NOT NULL default '' AFTER canview");
	}
	
	if(!$db->field_exists('canviewthreads', TABLE_PREFIX."forumpermissions"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."forumpermissions ADD canviewthreads char(3) NOT NULL default '' AFTER canview");
	}
	
	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."captcha");
	$db->query("CREATE TABLE ".TABLE_PREFIX."captcha (
	  imagehash varchar(32) NOT NULL default '',
	  imagestring varchar(8) NOT NULL default '',
	  dateline bigint(30) NOT NULL default '0'
	) TYPE=MyISAM;");

	if(!$db->field_exists('data', TABLE_PREFIX."moderatorlog"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."moderatorlog ADD data text NOT NULL AFTER action;");
	}
	
	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."adminsessions");
	$db->query("CREATE TABLE ".TABLE_PREFIX."adminsessions (
		sid varchar(32) NOT NULL default '',
		uid int unsigned NOT NULL default '0',
		loginkey varchar(50) NOT NULL default '',
		ip varchar(40) NOT NULL default '',
		dateline bigint(30) NOT NULL default '0',
		lastactive bigint(30) NOT NULL default '0'
	) TYPE=MyISAM;");

	$db->query("DROP TABLE IF EXISTS ".TABLE_PREFIX."modtools");
	$db->query("CREATE TABLE ".TABLE_PREFIX."modtools (
	tid smallint unsigned NOT NULL auto_increment,
	name varchar(200) NOT NULL,
	description text NOT NULL,
	forums text NOT NULL,
	type char(1) NOT NULL default '',
	postoptions text NOT NULL,
	threadoptions text NOT NULL,
	PRIMARY KEY (tid)
) TYPE=MyISAM;");

	if(!$db->field_exists('disporder', TABLE_PREFIX."usergroups"))
	{
		$db->query("ALTER TABLE ".TABLE_PREFIX."usergroups ADD disporder smallint(6) NOT NULL default '0' AFTER image");
	}
	
	$db->query("UPDATE ".TABLE_PREFIX."usergroups SET canviewthreads=canview");
	$db->query("UPDATE ".TABLE_PREFIX."forumpermissions SET canviewthreads=canview");

	$contents .= "Termin&eacute;</p>";
	$contents .= "<p>Cliquez suivant pour continuer le processus de mise &agrave; jour.</p>";
	$output->print_contents($contents);
	$output->print_footer("5_redoconfig");
}

function upgrade5_redoconfig()
{
	global $db, $output, $config, $mybb;
	$output->print_header("R&eacute;criture de config.php");

	$uid = 0;
	if($mybb->input['username'] != '' && !$mybb->input['uid'])
	{
		$query = $db->simple_select(TABLE_PREFIX."users", "uid", "username='".$db->escape_string($mybb->input['username'])."'");
		$uid = $db->fetch_field($query, "uid");
		if(!$uid)
		{
			echo "<p><span style=\"color: red; font-weight: bold;\">Le nom d'utilisateur entr&eacute; est introuvable.</span><br />Veuillez vous assurer d'entrer un nom d'utilisateur valide.</p>";
		}
	}
	else if($mybb->input['uid'])
	{
		$uid = $mybb->input['uid'];
	}

	if(!$uid)
	{
		echo "<p>Veuillez entrer votre nom d'utilisateur administrateur. L'ID utilisaateur du nom que vous entrerez sera inscrit dans le nouveau fichier de configuration ce qui emp&ecirc;chera que ce compte soit banni, &eacute;dit&eacute; ou supprim&eacute;.</p>";
		echo "<p>Nom d'utilisateur:</p>";
		echo "<p><input type=\"text\" name=\"username\" value=\"\" />";
		$output->print_footer("5_redoconfig");
		exit;
	}

	$fh = @fopen(MYBB_ROOT."inc/config.php", "w");
	if(!$fh)
	{
		echo "<p><span style=\"color: red; font-weight: bold;\">Impossible d'ouvrir inc/config.php</span><br />Afin de pouvoir poursuivre le processus de mise &agrave; jour, vous devez changer les permissions de inc/config.php afin de pouvoir l'&eacute;crire.</p><input type=\"hidden\" name=\"uid\" value=\"{$uid}\" />";
		$output->print_footer("5_redoconfig");
		exit;
	}
	
	if(!$config['admindir'])
	{
		$config['admindir'] = "admin";
	}
	
	if(!$config['cachestore'])
	{
		$config['cachestore'] = "db";
	}
	$configdata = "<?php
/**
 * Database configuration
 */

\$config['dbtype'] = '{$config['dbtype']}';
\$config['hostname'] = '{$config['hostname']}';
\$config['username'] = '{$config['username']}';
\$config['password'] = '{$config['password']}';
\$config['database'] = '{$config['database']}';
\$config['table_prefix'] = '{$config['table_prefix']}';

/**
 * Rpertoire Admin CP
 *  Pour des raisons de scurit, il vous est recommand
 *  de renommer votre dossier Admin CP. Vous devez alors ajuster
 *  la valeur ci-dessous pour pointer sur le nouveau rpertoire
 */

\$config['admin_dir'] = '{$config['admindir']}';

/**
 * Cacher tous les liens Admin CP
 *  Si vous voulez cacher tous les liens Admin CP
 *   la premire page de la board aprs avoir
 *  renomm votre rpertoire Admin CPy, mettez
 *  ceci  1. */

\$config['hide_admin_links'] = 0;

/**
 * Configuration cache-donnes
 *  Le cache des donnes est un cache temporaire
 *  des donnes le plus frquemment accdes dans MyBB.
 *  Par dfaut, la base de donnes est utilise pour
 *  stocker ces donnes.
 *  Si vous voulez utiliser le systme de fichiers
 *  (rpertoire inc/cache) vous pouvez changer la
 *  valeur ci-dessous de 'db'  'files'.
 */

\$config['cache_store'] = '{$config['cachestore']}';

/**
 * Super Administrateurs
 *  Une liste spare par des virgules des IDs d(utilisateurs
 *  qui ne peuvent tre dits, supprims ou bannis dans
 *  le CP Admin.
 *  Les permissions d'aministrateur pour ces utilisateurs
 *  ne peuvent plus tre altrs.
 */

\$config['super_admins'] = '{$uid}';

?".">";

	fwrite($fh, $configdata);
	fclose($fh);
	echo "<p>Le fichier de configuration a &eacute;t&eacute; r&eacute;crit avec succ&egrave;s.</p>";
	echo "<p>Cliquez suivant pour continuer le processus de mise &agrave; jour.</p>";
	$output->print_footer("5_lastposts");

}

function upgrade5_lastposts()
{
	global $db, $output;
	$output->print_header("Reconstruction colonnes dernier message");

	if(!$_POST['tpp'])
	{
		echo "<p>L'&eacute;tape suivante du processus de mise &agrave; jour consiste &agrave; reconstruire l'information dernier message pour chaque sujet de votre forum. Ci-dessous, veuillez entrer le nombre de sujets &agrave; traiter par page.</p>";
		echo "<p><strong>Sujets par page:</strong> <input type=\"text\" size=\"3\" value=\"200\" name=\"tpp\" /></p>";
		echo "<p>Quand vous serez pr&ecirc;t, pressez suivant pour lancer le processus de reconstruction.</p>";
		$output->print_footer("5_lastposts");
	}
	else
	{
		$query = $db->simple_select(TABLE_PREFIX."threads", "COUNT(*) as num_threads", "closed NOT LIKE 'moved|%'");
		$num_threads = $db->fetch_field($query, 'num_threads');
		$tpp = intval($_POST['tpp']);
		$start = intval($_POST['start']);
		$end = $start+$tpp;
		if($end > $num_threads)
		{
			$end = $num_threads;
		}
		echo "<p>Mise &agrave; jour de {$start} &agrave; {$end} sur {$num_threads}...</p>";
		$query = $db->simple_select(TABLE_PREFIX."threads", "tid, firstpost", "closed NOT LIKE 'moved|%'", array("order_by" => "tid", "order_dir" => "asc", "limit" => $tpp, "limit_start" => $start));
		while($thread = $db->fetch_array($query))
		{
			update_thread_counters($thread['tid']);
			if($thread['firstpost'] == 0)
			{
				update_first_post($thread['tid']);
			}
		}
		echo "<p>Termin&eacute;</p>";
		if($end >= $num_threads)
		{
			echo "<p>Le processus de reconstruction s'est termin&eacute; avec succ&egrave;s. Cliquez suivant pour continuer la mise &agrave; jour.";
			$output->print_footer("5_forumlastposts");
		}
		else
		{
			echo "<p>Cliquez suivant pour continuer le processus de mise &agrave; jour.</p>";
			echo "<input type=\"hidden\" name=\"tpp\" value=\"{$tpp}\" />";
			echo "<input type=\"hidden\" name=\"start\" value=\"{$end}\" />";
			$output->print_footer("5_lastposts");
		}
	}
}

function upgrade5_forumlastposts()
{
	global $db, $output;
	$output->print_header("Reconstruction des derniers messages du forum");
	echo "<p>Reconstruction de l'information des derniers messages pour les forums...</p>";
	$query = $db->simple_select(TABLE_PREFIX."forums", "fid");
	while($forum = $db->fetch_array($query))
	{
		update_forum_lastpost($forum['fid']);
	}
	echo "<p>Termin&eacute;";
	echo "<p>Cliquez suivant pour continuer le processus de mise &agrave; jour.</p>";
	$output->print_footer("5_indexes");
}

function upgrade5_indexes()
{
	global $db, $output;

	$output->print_header("Indexation");
	echo "<p>V&eacute;rification et cr&eacute;ation des index fulltext de la base de donn&eacute;es...</p>";


	if($db->is_fulltext(TABLE_PREFIX."threads", "subject"))
	{
		$db->drop_index(TABLE_PREFIX."threads", "subject");
	}
	if($db->is_fulltext(TABLE_PREFIX."threads", "subject_2"))
	{
		$db->drop_index(TABLE_PREFIX."threads", "subject_2");
	}

	if($db->supports_fulltext(TABLE_PREFIX."threads"))
	{
		$db->create_fulltext_index(TABLE_PREFIX."threads", "subject");
	}
	if($db->supports_fulltext_boolean(TABLE_PREFIX."posts"))
	{
		if(!$db->is_fulltext(TABLE_PREFIX."posts", "message"))
		{
			$db->create_fulltext_index(TABLE_PREFIX."posts", "message");
		}
	}

	// Register a shutdown function which actually tests if this functionality is working
	add_shutdown('test_shutdown_function');

	$contents .= "Cliquez suivant pour continuer le processus de mise &agrave; jour.</p>";
	$output->print_contents($contents);
	$output->print_footer("5_done");
}



function test_shutdown_function()
{
	global $db;
	$db->query("UPDATE ".TABLE_PREFIX."settings SET value='yes' WHERE name='useshutdownfunc'");
	write_settings();
}
?>